package com.unis.ynls.irpt.common.VO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: BaseFilterVO
 * @Description: IRPT报表管理--基本筛选条件
 * @author liyb
 * @version v1.0
 * @date 2018-12-27 14:37:36
 */
@Getter
@Setter
@ToString
@ApiModel(value = "IRPT报表管理--基本筛选条件",description = "IRPT报表管理--基本筛选条件")
public class BaseFilterVO {
    @ApiModelProperty(value = "报表期")
    private String bbq;
    @ApiModelProperty(value = "机构代码")
    private String unitCode;
    @ApiModelProperty(value = "报表自定义代码")
    private String taskId;
    @ApiModelProperty(value = "报表真实代码")
    private String rptId;
    @ApiModelProperty(value = "标识")
    private String sign;
    @ApiModelProperty(value = "行政区划")
    private String areaCode;
    @ApiModelProperty(value = "是否是集团用户")
    private String ifJt;
}
