package com.unis.ynls.irpt.common.VO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @ClassName: BaseFilterVO
 * @Description: IRPT报表管理--基本筛选条件
 * @author liyb
 * @version v1.0
 * @date 2018-12-27 14:37:36
 */
@Data
@ToString
@ApiModel(value = "IRPT事项管理--基本筛选条件",description = "IRPT事项管理--基本筛选条件")
public class BaseItemFilterVO {
    @ApiModelProperty(value = "10为查看，20为办理",required = true)
    private String code;
    @ApiModelProperty(value = "工作流流程ID",required = true)
    private String procInstIid;
    @ApiModelProperty(value = "活动ID，办理操作必填")
    private String actId;
    @ApiModelProperty(value = "任务ID，办理操作必填")
    private String taskId;
}
