package com.unis.ynls.irpt.common.VO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @Author ChenKai
 * @Date 2019/11/22 15:07
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@ApiModel(value="汇总信息VO",description="汇总信息VO")
public class CollectVO {
    @ApiModelProperty(value = "检查次数")
    private BigDecimal jccs;

    @ApiModelProperty(value = "检查项目")
    private BigDecimal jcqy;

    @ApiModelProperty(value = "C5小计")
    private BigDecimal c5;

    @ApiModelProperty(value = "D5小计")
    private BigDecimal d5;
}
