/**  
 * @Title:EnforcementTeamVO.java
 * @Package: com.unis.ynls.irpt.server.entity
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午12:25:28
 * @version V1.0  
*/
package com.unis.ynls.irpt.common.VO;

import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: EnforcementTeamVO
 * @Description: TODO功能描述:
 * @author lqg
 * @date 2019年10月19日 下午12:25:28
 * @remark 备注:
*/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@ApiModel(value="成立执法队情况统计表",description="成立执法队情况统计表")
public class EnforcementTeamVO extends BaseVO{
    //统一社会信用代码
		private String tyshxydm;
    //BBQ_年度
	@ApiModelProperty(value = "BBQ_", notes = "BBQ_年度", required = false)
	private String bbq;
	
    //USERID_单位名称ID
	@ApiModelProperty(value = "USERID_", notes = "USERID_单位名称ID", required = false)
	private String userid;

	@ApiModelProperty(value = "BTYPE_", notes = "BTYPE", required = false)
	private String btype;

	@ApiModelProperty(value = "SHTAG", notes = "SHTAG", required = false)
	private String shtag;

	@ApiModelProperty(value = "SHTAG2_", notes = "SHTAG2", required = false)
	private String shtag2;

	@ApiModelProperty(value = "OPTION_", notes = "OPTION", required = false)
	private String option;

	@ApiModelProperty(value = "C5总计", notes = "C5总计", required = false)
	private BigDecimal c5;

	@ApiModelProperty(value = "D5总计 编办批准成立行政执法队情况（个）", notes = "D5总计 编办批准成立行政执法队情况（个）", required = false)
	private BigDecimal d5;

	@ApiModelProperty(value = "E5总计编办批准成立行政执法队情况（个）行政编制数量", notes = "E5总计编办批准成立行政执法队情况（个）行政编制数量", required = false)
	private BigDecimal e5;

	@ApiModelProperty(value = "F5编办批准成立行政执法队情况（个）非行政编制数量", notes = "F5编办批准成立行政执法队情况（个）非行政编制数量", required = false)
	private BigDecimal f5;

	@ApiModelProperty(value = "G5总计内部调整组建的行政执法队情况（个）小计", notes = "G5总计内部调整组建的行政执法队情况（个）小计", required = false)
	private BigDecimal g5;

	@ApiModelProperty(value = "H5总计   专职机构", notes = "H5总计   专职机构", required = false)
	private BigDecimal h5;

	@ApiModelProperty(value = "I5总计  非专职机构", notes = "I5总计  非专职机构非专职机构", required = false)
	private BigDecimal i5;
	
	@ApiModelProperty(value = "C6总计", notes = "C6总计", required = false)
	private BigDecimal c6;

	@ApiModelProperty(value = "D6总计 编办批准成立行政执法队情况（个）", notes = "D6总计 编办批准成立行政执法队情况（个）", required = false)
	private BigDecimal d6;

	@ApiModelProperty(value = "E6总计编办批准成立行政执法队情况（个）行政编制数量", notes = "E6总计编办批准成立行政执法队情况（个）行政编制数量", required = false)
	private BigDecimal e6;

	@ApiModelProperty(value = "F6编办批准成立行政执法队情况（个）非行政编制数量", notes = "F6编办批准成立行政执法队情况（个）非行政编制数量", required = false)
	private BigDecimal f6;

	@ApiModelProperty(value = "G6总计内部调整组建的行政执法队情况（个）小计", notes = "G6总计内部调整组建的行政执法队情况（个）小计", required = false)
	private BigDecimal g6;

	@ApiModelProperty(value = "H6总计   专职机构", notes = "H6总计   专职机构", required = false)
	private BigDecimal h6;

	@ApiModelProperty(value = "I6总计  非专职机构", notes = "I6总计  非专职机构非专职机构", required = false)
	private BigDecimal i6;
	
	@ApiModelProperty(value = "C7总计", notes = "C7总计", required = false)
	private BigDecimal c7;

	@ApiModelProperty(value = "D7总计 编办批准成立行政执法队情况（个）", notes = "D7总计 编办批准成立行政执法队情况（个）", required = false)
	private BigDecimal d7;

	@ApiModelProperty(value = "E7总计编办批准成立行政执法队情况（个）行政编制数量", notes = "E7总计编办批准成立行政执法队情况（个）行政编制数量", required = false)
	private String e7;

	@ApiModelProperty(value = "F7编办批准成立行政执法队情况（个）非行政编制数量", notes = "F7编办批准成立行政执法队情况（个）非行政编制数量", required = false)
	private BigDecimal f7;

	
	@ApiModelProperty(value = "G7总计内部调整组建的行政执法队情况（个）小计", notes = "G7总计内部调整组建的行政执法队情况（个）小计", required = false)
	private BigDecimal g7;

	@ApiModelProperty(value = "H7总计   专职机构", notes = "H7总计   专职机构", required = false)
	private String h7;

	@ApiModelProperty(value = "I7总计  非专职机构", notes = "I7总计  非专职机构非专职机构", required = false)
	private BigDecimal i7;
	
	@ApiModelProperty(value = "C8总计", notes = "C8总计", required = false)
	private BigDecimal c8;

	@ApiModelProperty(value = "D8总计 编办批准成立行政执法队情况（个）", notes = "D8总计 编办批准成立行政执法队情况（个）", required = false)
	private BigDecimal d8;

	@ApiModelProperty(value = "E8总计编办批准成立行政执法队情况（个）行政编制数量", notes = "E8总计编办批准成立行政执法队情况（个）行政编制数量", required = false)
	private BigDecimal e8;

	@ApiModelProperty(value = "F8编办批准成立行政执法队情况（个）非行政编制数量", notes = "F8编办批准成立行政执法队情况（个）非行政编制数量", required = false)
	private BigDecimal f8;

	@ApiModelProperty(value = "G8总计内部调整组建的行政执法队情况（个）小计", notes = "G8总计内部调整组建的行政执法队情况（个）小计", required = false)
	private BigDecimal g8;

	@ApiModelProperty(value = "H8总计   专职机构", notes = "H8总计   专职机构", required = false)
	private BigDecimal h8;

	@ApiModelProperty(value = "I8总计  非专职机构", notes = "I8总计  非专职机构非专职机构", required = false)
	private BigDecimal i8;
	
	@ApiModelProperty(value = "上报时间", notes = "上报时间", required = false)
	private Date submitDate;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal b3;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal c3;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal d3;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal e3;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal f3;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal g3;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal h3;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal b4;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal c4;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal d4;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal e4;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal f4;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal g4;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal h4;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal b5;
	@ApiModelProperty(value = "", notes = "", required = false)
	private BigDecimal b6;
	@ApiModelProperty(value = "", notes = "", required = false)
	private String b7;

	@ApiModelProperty(value = "", notes = "", required = false)
	private String b8;
}
