package com.unis.ynls.irpt.common.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
@ApiModel("财务报表QueryVO")
public class FinanceReportQueryVO {

    @ApiModelProperty(value = "单位代码")
    private String dwdm;

    //单位名称
    @ApiModelProperty(value = "单位名称")
    private String dwmc;

    //库区代码
    @ApiModelProperty(value = "库区代码")
    private String kqdm;

    //库区名称
    @ApiModelProperty(value = "库区名称")
    private String kqmc;

    //报表期号
    @ApiModelProperty(value = "报表期号 yyyyMM")
    private String bbsj;

    //数据类型 01：资产负债表 02：现金流量表 03：利润表
    @ApiModelProperty(value = "报表名 01:资产负债表 02:现金流量表 03:利润表")
    private String bbm;

    //状态
    @ApiModelProperty(value = "状态 0:保存 1:提交")
    private Integer status;

}
