package com.unis.ynls.irpt.common.VO;


/**
 *
 * @ClassName: GeneralConstant
 * @Description:  常量字段定义
 * @author lyb
 * @date 2018-12-02 14:12:07
 *
 * @version v1.0
 */
public class GeneralConstant {
	/**
	 * Irpt
	 */
	public static final String PROJECT_NAME_IRPT="irpt";
	/**
	 * BI
	 */
	public static final String PROJECT_NAME_BI="BI";
	/**
	 * 部门类型码 0 是单位 1是部门
	 */
	public static final Integer ORG_TYPE_CODE=0;
	/**
	 * 机构类型码 10：粮食局
	 */
	public static final String ORG_UNIT_TYPE_GRAIN="10190001";
	/**
	 * 机构类型码 25：检验单位
	 */
	public static final String ORG_UNIT_TYPE_QUALITY="25";
	/**
	 * 年份长度
	 */
	public static final int YEAR_LENGTH = 4;
    /**
     * 无结果
     */
    public static final int NO_RESULT = 0;
	/**
	 * 更新数据库结果
	 */
	public static final int UPDATE_RESULT = 1;
	/**
	 * MD5加密后密码长度
	 */
	public static final int MD5_LENGTH = 32;
	/**
	 * 春季
	 */
    public static final String SPRING_CODE = "10";
    /**
	 * 秋季
	 */
    public static final String AUTUMN_CODE = "20";
    /**
	 * 复查对比 原粮数量
	 */
 	public static final String GRAIN_NUM = "1";
 	/**
	 * 复查对比 库存年限
	 */
 	public static final String INVENTORY_YEARS = "2";
 	/**
	 * 复查对比 安全生产
	 */
 	public static final String SAFETY_PRODUCTION = "3";
 	/**
	 * 复查对比 检查问题登统
	 */
 	public static final String CHECK_PROBLEM = "4";
 	/**
	 * 复查对比 列名
	 */
 	public static final String COLUMN_NAME = "COLUMN_NAME";
	/**
	 * 复查对比 列注释
	 */
 	public static final String COMMENTS = "COMMENTS";
	/**
	 * 复查对比 企业自查
	 */
 	public static final String COMP = "0";
	/**
	 * 复查对比 市
	 */
 	public static final String CITY = "2";
	/**
	 * 复查对比  县
	 */
 	public static final String COUNTY = "1";
 	
 	/**
	 * 复查对比 省
	 */
 	public static final String PROV = "3";
	/**
	 * 省
	 */
	public static final String PROVINCE_CODE = "0000";
	/**
	 * 市
	 */
	public static final String CITY_CODE = "00";
	/**
	 * 省级行政区划
	 */
	public static final String PROVINCE_AREA_CODE = "530000";
	/**
	 * 行政区划长度
	 */
	public static final int AREA_CODE_LENGTH = 6;
    /**
     * 客户端类型，20标识管理端
     */
    public static final String CLIENT_TYPE = "20";
	/**
	 * 成功代码
	 */
	public static final int SUCCESS_CODE = 200;
}
