/**  
 * @Title:PunishmentHandVO.java
 * @Package: com.unis.ynls.irpt.common.VO
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:21:54
 * @version V1.0  
*/
package com.unis.ynls.irpt.common.VO;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: PunishmentHandVO
 * @Description: TODO功能描述:
 * @author ZHANGQI
 * @date 2019年10月19日 下午7:21:54
 * @remark 备注:
*/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@ApiModel(value="粮食监督检查行政处罚处理情况统计表",description="粮食监督检查行政处罚处理情况统计表")
public class PunishmentHandVO extends BaseVO {
		//统一社会信用代码
    	private String tyshxydm;
	 //BBQ_年度报表期
		@ApiModelProperty(value = "BBQ_", notes = "BBQ_年度", required = false)
		private String bbq;
		
	    //报表户代码
		@ApiModelProperty(value = "USERID_", notes = "USERID_单位名称ID", required = false)
		private String userid;

		//报表户类型,0基层户，9汇总户
		@ApiModelProperty(value = "BTYPE_", notes = "BTYPE", required = false)
		private String btype;
		
		//本表审核标记，0表示未审核通过，1表示审核通过
		@ApiModelProperty(value = "SHTAG", notes = "SHTAG", required = false)
		private String shtag;

		//本表合理性审核标记，0表示未审核，1表示审核通过
		@ApiModelProperty(value = "SHTAG2_", notes = "SHTAG2", required = false)
		private String shtag2;
		
		//报表户逻辑性审核字段,0表示未审核通过，1表示审  核通过
		@ApiModelProperty(value = "OPTION_", notes = "OPTION", required = false)
		private String option;
		
		@ApiModelProperty(value = "B4总计1案例总数（例数）1", notes = "B4总计1案例总数（例数）1", required = false)
        
	    private BigDecimal b4;                 
		@ApiModelProperty(value = "C4总计1处理方式责令改正(例数)2", notes = "C4总计1处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c4;                 
		@ApiModelProperty(value = "D4总计1处理方式警告(例数)3", notes = "D4总计1处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d4;                 
		@ApiModelProperty(value = "E4总计1处理方式罚款例数4", notes = "E4总计1处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e4;                 
		@ApiModelProperty(value = "F4总计1处理方式罚款金额(万元)5", notes = "F4总计1处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f4;                 
		@ApiModelProperty(value = "G4总计1处理方式暂停粮食收购资格(例数)6", notes = "G4总计1处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g4;                 
		@ApiModelProperty(value = "H4总计1处理方式取消粮食收购资格(例数)7", notes = "H4总计1处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h4;                 
		@ApiModelProperty(value = "I4总计1处理方式移交其他部门处理(例数)8", notes = "I4总计1处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i4;                 
		@ApiModelProperty(value = "B5粮食收购资格2案例总数（例数）1", notes = "B5粮食收购资格2案例总数（例数）1", required = false)
	                    
	    private BigDecimal b5;                 
		@ApiModelProperty(value = "C5粮食收购资格2处理方式责令改正(例数)2", notes = "C5粮食收购资格2处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c5;                 
		@ApiModelProperty(value = "D5粮食收购资格2处理方式警告(例数)3", notes = "D5粮食收购资格2处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d5;                 
		@ApiModelProperty(value = "E5粮食收购资格2处理方式罚款例数4", notes = "E5粮食收购资格2处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e5;                 
		@ApiModelProperty(value = "F5粮食收购资格2处理方式罚款金额(万元)5", notes = "F5粮食收购资格2处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f5;                 
		@ApiModelProperty(value = "G5粮食收购资格2处理方式暂停粮食收购资格(例数)6", notes = "G5粮食收购资格2处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g5;                 
		@ApiModelProperty(value = "H5粮食收购资格2处理方式取消粮食收购资格(例数)7", notes = "H5粮食收购资格2处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h5;                 
		@ApiModelProperty(value = "I5粮食收购资格2处理方式移交其他部门处理(例数)8", notes = "I5粮食收购资格2处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i5;                 
		@ApiModelProperty(value = "B6最低最高库存政策落实情况3案例总数（例数）1", notes = "B6最低最高库存政策落实情况3案例总数（例数）1", required = false)
	                    
	    private BigDecimal b6;                 
		@ApiModelProperty(value = "C6最低最高库存政策落实情况3处理方式责令改正(例数)2", notes = "C6最低最高库存政策落实情况3处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c6;                 
		@ApiModelProperty(value = "D6最低最高库存政策落实情况3处理方式警告(例数)3", notes = "D6最低最高库存政策落实情况3处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d6;                 
		@ApiModelProperty(value = "E6最低最高库存政策落实情况3处理方式罚款例数4", notes = "E6最低最高库存政策落实情况3处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e6;                 
		@ApiModelProperty(value = "F6最低最高库存政策落实情况3处理方式罚款金额(万元)5", notes = "F6最低最高库存政策落实情况3处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f6;                 
		@ApiModelProperty(value = "G6最低最高库存政策落实情况3处理方式暂停粮食收购资格(例数)6", notes = "G6最低最高库存政策落实情况3处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g6;                 
		@ApiModelProperty(value = "H6最低最高库存政策落实情况3处理方式取消粮食收购资格(例数)7", notes = "H6最低最高库存政策落实情况3处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h6;                 
		@ApiModelProperty(value = "I6最低最高库存政策落实情况3处理方式移交其他部门处理(例数)8", notes = "I6最低最高库存政策落实情况3处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i6;                 
		@ApiModelProperty(value = "B7粮食收购活动4案例总数（例数）1", notes = "B7粮食收购活动4案例总数（例数）1", required = false)
	                    
	    private BigDecimal b7;                 
		@ApiModelProperty(value = "C7粮食收购活动4处理方式责令改正(例数)2", notes = "C7粮食收购活动4处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c7;                 
		@ApiModelProperty(value = "D7粮食收购活动4处理方式警告(例数)3", notes = "D7粮食收购活动4处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d7;                 
		@ApiModelProperty(value = "E7粮食收购活动4处理方式罚款例数4", notes = "E7粮食收购活动4处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e7;                 
		@ApiModelProperty(value = "F7粮食收购活动4处理方式罚款金额(万元)5", notes = "F7粮食收购活动4处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f7;                 
		@ApiModelProperty(value = "G7粮食收购活动4处理方式暂停粮食收购资格(例数)6", notes = "G7粮食收购活动4处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g7;                 
		@ApiModelProperty(value = "H7粮食收购活动4处理方式取消粮食收购资格(例数)7", notes = "H7粮食收购活动4处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h7;                 
		@ApiModelProperty(value = "I7粮食收购活动4处理方式移交其他部门处理(例数)8", notes = "I7粮食收购活动4处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i7;                 
		@ApiModelProperty(value = "B8其中：政策性粮食收购活动5案例总数（例数）1", notes = "B8其中：政策性粮食收购活动5案例总数（例数）1", required = false)
	                    
	    private BigDecimal b8;                 
		@ApiModelProperty(value = "C8其中：政策性粮食收购活动5处理方式责令改正(例数)2", notes = "C8其中：政策性粮食收购活动5处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c8;                 
		@ApiModelProperty(value = "D8其中：政策性粮食收购活动5处理方式警告(例数)3", notes = "D8其中：政策性粮食收购活动5处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d8;                 
		@ApiModelProperty(value = "E8其中：政策性粮食收购活动5处理方式罚款例数4", notes = "E8其中：政策性粮食收购活动5处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e8;                 
		@ApiModelProperty(value = "F8其中：政策性粮食收购活动5处理方式罚款金额(万元)5", notes = "F8其中：政策性粮食收购活动5处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f8;                 
		@ApiModelProperty(value = "G8其中：政策性粮食收购活动5处理方式暂停粮食收购资格(例数)6", notes = "G8其中：政策性粮食收购活动5处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g8;                 
		@ApiModelProperty(value = "H8其中：政策性粮食收购活动5处理方式取消粮食收购资格(例数)7", notes = "H8其中：政策性粮食收购活动5处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h8;                 
		@ApiModelProperty(value = "I8其中：政策性粮食收购活动5处理方式移交其他部门处理(例数)8", notes = "I8其中：政策性粮食收购活动5处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i8;                 
		@ApiModelProperty(value = "B9政策性粮食销售出库6案例总数（例数）1", notes = "B9政策性粮食销售出库6案例总数（例数）1", required = false)
	                    
	    private BigDecimal b9;                 
		@ApiModelProperty(value = "C9政策性粮食销售出库6处理方式责令改正(例数)2", notes = "C9政策性粮食销售出库6处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c9;                 
		@ApiModelProperty(value = "D9政策性粮食销售出库6处理方式警告(例数)3", notes = "D9政策性粮食销售出库6处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d9;                 
		@ApiModelProperty(value = "E9政策性粮食销售出库6处理方式罚款例数4", notes = "E9政策性粮食销售出库6处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e9;                 
		@ApiModelProperty(value = "F9政策性粮食销售出库6处理方式罚款金额(万元)5", notes = "F9政策性粮食销售出库6处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f9;                 
		@ApiModelProperty(value = "G9政策性粮食销售出库6处理方式暂停粮食收购资格(例数)6", notes = "G9政策性粮食销售出库6处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g9;                 
		@ApiModelProperty(value = "H9政策性粮食销售出库6处理方式取消粮食收购资格(例数)7", notes = "H9政策性粮食销售出库6处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h9;                 
		@ApiModelProperty(value = "I9政策性粮食销售出库6处理方式移交其他部门处理(例数)8", notes = "I9政策性粮食销售出库6处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i9;                 
		@ApiModelProperty(value = "B10粮食统计制度执行情况7案例总数（例数）1", notes = "B10粮食统计制度执行情况7案例总数（例数）1", required = false)
	                    
	    private BigDecimal b10;                
		@ApiModelProperty(value = "C10粮食统计制度执行情况7处理方式责令改正(例数)2", notes = "C10粮食统计制度执行情况7处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c10;                
		@ApiModelProperty(value = "D10粮食统计制度执行情况7处理方式警告(例数)3", notes = "D10粮食统计制度执行情况7处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d10;                
		@ApiModelProperty(value = "E10粮食统计制度执行情况7处理方式罚款例数4", notes = "E10粮食统计制度执行情况7处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e10;                
		@ApiModelProperty(value = "F10粮食统计制度执行情况7处理方式罚款金额(万元)5", notes = "F10粮食统计制度执行情况7处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f10;                
		@ApiModelProperty(value = "G10粮食统计制度执行情况7处理方式暂停粮食收购资格(例数)6", notes = "G10粮食统计制度执行情况7处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g10;                
		@ApiModelProperty(value = "H10粮食统计制度执行情况7处理方式取消粮食收购资格(例数)7", notes = "H10粮食统计制度执行情况7处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h10;                
		@ApiModelProperty(value = "I10粮食统计制度执行情况7处理方式移交其他部门处理(例数)8", notes = "I10粮食统计制度执行情况7处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i10;                
		@ApiModelProperty(value = "B11粮食质量8案例总数（例数）1", notes = "B11粮食质量8案例总数（例数）1", required = false)
	                    
	    private BigDecimal b11;                
		@ApiModelProperty(value = "C11粮食质量8处理方式责令改正(例数)2", notes = "C11粮食质量8处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c11;                
		@ApiModelProperty(value = "D11粮食质量8处理方式警告(例数)3", notes = "D11粮食质量8处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d11;                
		@ApiModelProperty(value = "E11粮食质量8处理方式罚款例数4", notes = "E11粮食质量8处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e11;                
		@ApiModelProperty(value = "F11粮食质量8处理方式罚款金额(万元)5", notes = "F11粮食质量8处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f11;                
		@ApiModelProperty(value = "G11粮食质量8处理方式暂停粮食收购资格(例数)6", notes = "G11粮食质量8处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g11;                
		@ApiModelProperty(value = "H11粮食质量8处理方式取消粮食收购资格(例数)7", notes = "H11粮食质量8处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h11;                
		@ApiModelProperty(value = "I11粮食质量8处理方式移交其他部门处理(例数)8", notes = "I11粮食质量8处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i11;                
		@ApiModelProperty(value = "B12粮食仓储设施及运输工具9案例总数（例数）1", notes = "B12粮食仓储设施及运输工具9案例总数（例数）1", required = false)
	                    
	    private BigDecimal b12;                
		@ApiModelProperty(value = "C12粮食仓储设施及运输工具9处理方式责令改正(例数)2", notes = "C12粮食仓储设施及运输工具9处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c12;                
		@ApiModelProperty(value = "D12粮食仓储设施及运输工具9处理方式警告(例数)3", notes = "D12粮食仓储设施及运输工具9处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d12;                
		@ApiModelProperty(value = "E12粮食仓储设施及运输工具9处理方式罚款例数4", notes = "E12粮食仓储设施及运输工具9处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e12;                
		@ApiModelProperty(value = "F12粮食仓储设施及运输工具9处理方式罚款金额(万元)5", notes = "F12粮食仓储设施及运输工具9处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f12;                
		@ApiModelProperty(value = "G12粮食仓储设施及运输工具9处理方式暂停粮食收购资格(例数)6", notes = "G12粮食仓储设施及运输工具9处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g12;                
		@ApiModelProperty(value = "H12粮食仓储设施及运输工具9处理方式取消粮食收购资格(例数)7", notes = "H12粮食仓储设施及运输工具9处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h12;                
		@ApiModelProperty(value = "I12粮食仓储设施及运输工具9处理方式移交其他部门处理(例数)8", notes = "I12粮食仓储设施及运输工具9处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i12;                
		@ApiModelProperty(value = "B13粮油库存10案例总数（例数）1", notes = "B13粮油库存10案例总数（例数）1", required = false)
	                    
	    private BigDecimal b13;                
		@ApiModelProperty(value = "C13粮油库存10处理方式责令改正(例数)2", notes = "C13粮油库存10处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c13;                
		@ApiModelProperty(value = "D13粮油库存10处理方式警告(例数)3", notes = "D13粮油库存10处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d13;                
		@ApiModelProperty(value = "E13粮油库存10处理方式罚款例数4", notes = "E13粮油库存10处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e13;                
		@ApiModelProperty(value = "F13粮油库存10处理方式罚款金额(万元)5", notes = "F13粮油库存10处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f13;                
		@ApiModelProperty(value = "G13粮油库存10处理方式暂停粮食收购资格(例数)6", notes = "G13粮油库存10处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g13;                
		@ApiModelProperty(value = "H13粮油库存10处理方式取消粮食收购资格(例数)7", notes = "H13粮油库存10处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h13;                
		@ApiModelProperty(value = "I13粮油库存10处理方式移交其他部门处理(例数)8", notes = "I13粮油库存10处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i13;                
		@ApiModelProperty(value = "B14其他11案例总数（例数）1", notes = "B14其他11案例总数（例数）1", required = false)
	                    
	    private BigDecimal b14;                
		@ApiModelProperty(value = "C14其他11处理方式责令改正(例数)2", notes = "C14其他11处理方式责令改正(例数)2", required = false)
	                    
	    private BigDecimal c14;                
		@ApiModelProperty(value = "D14其他11处理方式警告(例数)3", notes = "D14其他11处理方式警告(例数)3", required = false)
	                    
	    private BigDecimal d14;                
		@ApiModelProperty(value = "E14其他11处理方式罚款例数4", notes = "E14其他11处理方式罚款例数4", required = false)
	                    
	    private BigDecimal e14;                
		@ApiModelProperty(value = "F14其他11处理方式罚款金额(万元)5", notes = "F14其他11处理方式罚款金额(万元)5", required = false)
	                    
	    private BigDecimal f14;                
		@ApiModelProperty(value = "G14其他11处理方式暂停粮食收购资格(例数)6", notes = "G14其他11处理方式暂停粮食收购资格(例数)6", required = false)
	                    
	    private BigDecimal g14;                
		@ApiModelProperty(value = "H14其他11处理方式取消粮食收购资格(例数)7", notes = "H14其他11处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private BigDecimal h14;                
		@ApiModelProperty(value = "I14其他11处理方式移交其他部门处理(例数)8", notes = "I14其他11处理方式移交其他部门处理(例数)8", required = false)
	                    
	    private BigDecimal i14;                
		@ApiModelProperty(value = "B15监督检查机构负责人：案例总数（例数）1", notes = "B15监督检查机构负责人：案例总数（例数）1", required = false)
	                    
	    private String b15;                    
		@ApiModelProperty(value = "E15填表人：处理方式罚款例数4", notes = "E15填表人：处理方式罚款例数4", required = false)
	                    
	    private String e15;                    
		@ApiModelProperty(value = "H15填报日期：处理方式取消粮食收购资格(例数)7", notes = "H15填报日期：处理方式取消粮食收购资格(例数)7", required = false)
	                    
	    private String h15;                    
		@ApiModelProperty(value = "D16", notes = "D16", required = false)
	    
	    private String d16;

		@ApiModelProperty(value = "上报时间", notes = "上报时间", required = false)
		private Date submitDate;
}
