package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * 损耗计算
 */
@Getter
@Setter
@ToString
@ApiModel(value="市储备油业务管理表（自动生成））",description="市储备油业务管理表（自动生成）")
public class OilReserveVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @ApiModelProperty(value = "报表户id")
    private String userid;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间")
    private Date tbsj;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "合计")
    private BigDecimal hj;
    @ApiModelProperty(value = "大豆原油")
    private BigDecimal ddyy;
    @ApiModelProperty(value = "一级豆油")
    private BigDecimal yjdy;
}
