/**  
 * @Title:SupervisionVO.java
 * @Package: com.unis.ynls.irpt.common.VO
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:00:10
 * @version V1.0  
*/
package com.unis.ynls.irpt.common.VO;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: SupervisionVO
 * @Description: TODO功能描述:
 * @author ZHANGQI
 * @date 2019年10月19日 下午7:00:10
 * @remark 备注:
*/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@ApiModel(value="粮食监督检查工作开展情况统计表 ",description="粮食监督检查工作开展情况统计表 维护")
public class SupervisionVO extends BaseVO {
	//BBQ_年度
			@ApiModelProperty(value = "BBQ_", notes = "BBQ_年度", required = false)
			private String bbq;
		    //统一社会信用代码
		    private String tyshxydm;
		    //USERID_单位名称ID
			@ApiModelProperty(value = "USERID_", notes = "USERID_单位名称ID", required = false)
			private String userid;

			@ApiModelProperty(value = "BTYPE_", notes = "BTYPE", required = false)
			private String btype;

			@ApiModelProperty(value = "SHTAG", notes = "SHTAG", required = false)
			private String shtag;

			@ApiModelProperty(value = "SHTAG2_", notes = "SHTAG2", required = false)
			private String shtag2;

			@ApiModelProperty(value = "OPTION_", notes = "OPTION", required = false)
			private String option;

			@ApiModelProperty(value = "C2总计1开展检查（次数）1", notes = "C2总计1开展检查（次数）1", required = false)
			private BigDecimal c2;                 
		                                           
			@ApiModelProperty(value = "D2总计1检查企业（个次）3", notes = "D2总计1检查企业（个次）3", required = false)
		    private BigDecimal d2;                 
		                                           
			@ApiModelProperty(value = "C3综合检查2开展检查（次数）1", notes = "C3综合检查2开展检查（次数）1", required = false)
		    private BigDecimal c3;                 
			                                       
			@ApiModelProperty(value = "D3综合检查2检查企业（个次）3", notes = "D3综合检查2检查企业（个次）3", required = false)
		    private BigDecimal d3;                 
			                                       
			@ApiModelProperty(value = "C4单项检查小计3开展检查（次数）1", notes = "C4单项检查小计3开展检查（次数）1", required = false)
		    private BigDecimal c4;                 
			                                       
			@ApiModelProperty(value = "D4单项检查小计3检查企业（个次）3", notes = "D4单项检查小计3检查企业（个次）3", required = false)
		    private BigDecimal d4;                 
			                                       
			@ApiModelProperty(value = "C5单项检查粮食收购资格核查4开展检查（次数）1", notes = "C5单项检查粮食收购资格核查4开展检查（次数）1", required = false)
		    private BigDecimal c5;                 
			                                       
			@ApiModelProperty(value = "D5单项检查粮食收购资格核查4检查企业（个次）3", notes = "D5单项检查粮食收购资格核查4检查企业（个次）3", required = false)
		    private BigDecimal d5;                 
			                                       
			@ApiModelProperty(value = "C6单项检查最低最高库存政策落实情况检查5开展检查（次数）1", notes = "C6单项检查最低最高库存政策落实情况检查5开展检查（次数）1", required = false)
		    private BigDecimal c6;                 
			                                       
			@ApiModelProperty(value = "D6单项检查最低最高库存政策落实情况检查5检查企业（个次）3", notes = "D6单项检查最低最高库存政策落实情况检查5检查企业（个次）3", required = false)
		    private BigDecimal d6;                 
			                                       
			@ApiModelProperty(value = "D6单项检查粮食收购活动检查6开展检查（次数）1", notes = "C7单项检查粮食收购活动检查6开展检查（次数）1", required = false)
		    private BigDecimal c7;                 
			                                       
			@ApiModelProperty(value = "D7单项检查粮食收购活动检查6检查企业（个次）3", notes = "D7单项检查粮食收购活动检查6检查企业（个次）3", required = false)
		    private BigDecimal d7;                 
			                                       
			@ApiModelProperty(value = "C8单项检查其中：政策性粮食收购活动检查7开展检查（次数）1", notes = "C8单项检查其中：政策性粮食收购活动检查7开展检查（次数）1", required = false)
		    private BigDecimal c8;                 
			                                       
			@ApiModelProperty(value = "D8单项检查其中：政策性粮食收购活动检查7检查企业（个次）3", notes = "D8单项检查其中：政策性粮食收购活动检查7检查企业（个次）3", required = false)
		    private BigDecimal d8;                 
			                                       
			@ApiModelProperty(value = "C9单项检查政策性粮食销售出库检查8开展检查（次数）1", notes = "C9单项检查政策性粮食销售出库检查8开展检查（次数）1", required = false)
		    private BigDecimal c9;                 
			                                       
			@ApiModelProperty(value = "D9单项检查政策性粮食销售出库检查8检查企业（个次）3", notes = "D9单项检查政策性粮食销售出库检查8检查企业（个次）3", required = false)
		    private BigDecimal d9;                 
			                                       
			@ApiModelProperty(value = "C10单项检查粮食统计制度执行情况检查9开展检查（次数）1", notes = "C10单项检查粮食统计制度执行情况检查9开展检查（次数）1", required = false)
		    private BigDecimal c10;                
			                                       
			@ApiModelProperty(value = "D10单项检查粮食统计制度执行情况检查9检查企业（个次）3", notes = "D10单项检查粮食统计制度执行情况检查9检查企业（个次）3", required = false)
		    private BigDecimal d10;                
			                                       
			@ApiModelProperty(value = "C11单项检查粮食质量检查10开展检查（次数）1", notes = "C11单项检查粮食质量检查10开展检查（次数）1", required = false)
		    private BigDecimal c11;                
			                                       
			@ApiModelProperty(value = "D11单项检查粮食质量检查10检查企业（个次）3", notes = "D11单项检查粮食质量检查10检查企业（个次）3", required = false)
		    private BigDecimal d11;                
			                                       
			@ApiModelProperty(value = "C12单项检查粮食仓储设施及运输工具检查11开展检查（次数）1", notes = "C12单项检查粮食仓储设施及运输工具检查11开展检查（次数）1", required = false)
		    private BigDecimal c12;                
			                                       
			@ApiModelProperty(value = "D12单项检查粮食仓储设施及运输工具检查11检查企业（个次）3", notes = "D12单项检查粮食仓储设施及运输工具检查11检查企业（个次）3", required = false)
		    private BigDecimal d12;                
			                                       
			@ApiModelProperty(value = "C13单项检查粮油库存检查12开展检查（次数）1", notes = "C13单项检查粮油库存检查12开展检查（次数）1", required = false)
		    private BigDecimal c13;                
			                                       
			@ApiModelProperty(value = "D13单项检查粮油库存检查12检查企业（个次）3", notes = "D13单项检查粮油库存检查12检查企业（个次）3", required = false)
		    private BigDecimal d13;                
			                                       
			@ApiModelProperty(value = "C14单项检查其他检查13开展检查（次数）1", notes = "C14单项检查其他检查13开展检查（次数）1", required = false)
		    private BigDecimal c14;                
			                                       
			@ApiModelProperty(value = "D14单项检查其他检查13检查企业（个次）3", notes = "D14单项检查其他检查13检查企业（个次）3", required = false)
		    private BigDecimal d14;
			
			@ApiModelProperty(value = "b15", notes = "b15", required = false)
		    private String b15;
			
			@ApiModelProperty(value = "d15", notes = "d15", required = false)
		    private String d15;
			
			@ApiModelProperty(value = "b16", notes = "b16", required = false)
		    private String b16;
			
			@ApiModelProperty(value = "d16", notes = "d16", required = false)
		    private String d16;
			
			@ApiModelProperty(value = "c15", notes = "c15", required = false)
			private String c15;

			@ApiModelProperty(value = "b17", notes = "b17", required = false)
			private String b17;

			@ApiModelProperty(value = "d17", notes = "d17", required = false)
			private String d17;
			
			@ApiModelProperty(value = "上报时间", notes = "上报时间", required = false)
		    private Date submitdate;
}
