package com.unis.ynls.irpt.common.VO.reservereport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel("市级储备粮油储存费用补贴标准查询VO")
public class StorageSubsidyStandardQueryVO {

    //id
    @ApiModelProperty(value = "ID")
    private String id;

    //库点名称
    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //库点编码
    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    //数据类型
    @ApiModelProperty(value = "数据类型")
    private String typeCode;

    //数据类型名称
    @ApiModelProperty(value = "数据类型名称")
    private String typeName;

    // 费率类型（月费率1，年费率2）
    @ApiModelProperty(value = "费率类型")
    private String rateType;


    @ApiModelProperty(value = "是否启用 0:过期 1:待启用 2:启用中")
    private Integer isEnable;

    //数据类型名称
    @ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;

    // 是否异地
    @ApiModelProperty(value = "是否异地 0:否 1:是")
    private String sfyd;

    //数据类型名称
    @ApiModelProperty(value = "状态 0:储存费 1:调节储备")
    private Integer status;

}
