package com.unis.ynls.irpt.common.VO.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Data
@ApiModel("市级储备粮油储存费用补贴-汇总详情表")
public class StorageSubsidySummaryInfoVO {

    //承储企业编码
    @ApiModelProperty(value = "承储企业编码")
    private String ccqybm;

    //承储企业编码
    @ApiModelProperty(value = "承储企业名称")
    private String ccqy;

    //储存费
    @ApiModelProperty(value = "储存费")
    private BigDecimal ccf;

    //储存费
    @ApiModelProperty(value = "储备粮储存费小计")
    private BigDecimal cblccf;

    List<Map<String,Object>> dataList;
}
