package com.unis.ynls.irpt.common.VO.rotationreport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮轮换补贴申请明细表")
public class RotationSubsidyDetailVO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "轮换补贴主表id")
    private String rsId;

    @ApiModelProperty(value = "数据类型 1:预算申请 2:清算申请")
    private Integer sjlx;

    @ApiModelProperty(value = "生产年份")
    private String scnf;

    @ApiModelProperty(value = "实际轮换数量")
    private BigDecimal sjlhsl;

    @ApiModelProperty(value = "费率")
    private BigDecimal fl;

    @ApiModelProperty(value = "储存期")
    private BigDecimal ccq;

    @ApiModelProperty(value = "应拨付轮换补贴")
    private BigDecimal ygbflhbt;

    @ApiModelProperty(value = "应申请70%")
    private BigDecimal ygsq;

    @ApiModelProperty(value = "实际申请")
    private BigDecimal sjsq;

    @ApiModelProperty(value = "已拨付金额")
    private BigDecimal ybfje;

    @ApiModelProperty(value = "本次清算金额")
    private BigDecimal bcqsje;

}
