package com.unis.ynls.irpt.common.VO.rotationreport;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
@ApiModel("市级储备粮轮换补贴申请查询VO")
public class RotationSubsidyQueryVO {

    @ApiModelProperty(value = "组织code")
    private String orgCode;

    @ApiModelProperty(value = "承储企业名称")
    private String ccqy;

    @ApiModelProperty(value = "承储企业编码")
    private String ccqybm;

    @ApiModelProperty(value = "轮换年度")
    private String lhnd;

    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //状态
    @ApiModelProperty(value = "预算-状态")
    private String ysZt;

    //状态
    @ApiModelProperty(value = "清算-状态")
    private String qsZt;

    //状态
    @ApiModelProperty(value = "数据类型 1:预算申请 2:清算申请")
    private Integer sjlx;

    //预算拨付状态
    @ApiModelProperty(value = "预算拨付状态 0:未拨付 1:拨付中 2:已拨付")
    private Integer ysbfzt;

    //清算拨付状态
    @ApiModelProperty(value = "清算拨付状态 0:未拨付 1:拨付中 2:已拨付")
    private Integer qsbfzt;

    List<String> rotationSubsidyIds;
}
