package com.unis.ynls.irpt.common.VO.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: CompanyEditVO
 * @Description: IRPT机构用户--企业变更（登录账号、机构名称）
 * @author liyb
 * @date 2018-11-07 13:41:24
 * @version v1.0
 */
@Getter
@Setter
@ToString
@ApiModel(value = "IRPT机构用户--企业变更（登录账号、机构名称）",description = "IRPT机构用户--企业变更（登录账号、机构名称）")
public class CompanyEditVO {
    @ApiModelProperty(value = "曾用账号",required = true)
    private String oldAccount;
    @ApiModelProperty(value = "现用账号")
    private String newAccount;
    @ApiModelProperty(value = "现用密码")
    private String m5PWD;
    @ApiModelProperty(value = "企业机构代码",required = true)
    private String orgId;
    @ApiModelProperty(value = "上级机构",required = true)
    private String parentId;
    @ApiModelProperty(value = "企业机构名称",required = true)
    private String orgName;
    @ApiModelProperty(value = "企业负责人")
    private String governor;
    @ApiModelProperty(value = "电话")
    private String tel;
    @ApiModelProperty(value = "企业所在地行政区划，【企业必传】")
    private String xzqhSzd;
    @ApiModelProperty(value = "企业是否选择上级集团（为空标识未选择）")
    private String ifSuperiorGroup;
}
