package com.unis.ynls.irpt.common.VO.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: CompanyVO
 * @Description: IRPT机构用户--企业新增（创建机构、用户）
 * @author liyb
 * @date 2018-11-07 13:41:24
 * @version v1.0
 */
@Getter
@Setter
@ToString
@ApiModel(value = "IRPT机构用户--企业新增（创建机构、用户）",description = "IRPT机构用户--企业新增（创建机构、用户）")
public class CompanyVO {
    @ApiModelProperty(value = "企业统一社会组织信用代码",required = true)
    private String orgId;
    @ApiModelProperty(value = "企业名称",required = true)
    private String orgName;
    @ApiModelProperty(value = "企业所属粮食局或上级集团统一社会组织信用代码",required = true)
    private String parent;
    @ApiModelProperty(value = "企业法定代表人")
    private String governor;
    @ApiModelProperty(value = "企业联系电话")
    private String tel;
    @ApiModelProperty(value = "企业所在地行政区划",required = true)
    private String xzqhSzd;
    @ApiModelProperty(value = "企业登录账号",required = true)
    private String account;
    @ApiModelProperty(value = "企业用户名称",required = true)
    private String userName;
    @ApiModelProperty(value = "登录密码，密码为Md5加密后",required = true)
    private String mdPassWord;
    @ApiModelProperty(value = "人员所属角色")
    private String department;
    @ApiModelProperty(value = "当前注册用户是否是集团  yes 是 no 不是")
    private String ifGroup;
}