package com.unis.ynls.irpt.common.VO.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
/**
 * @ClassName: ReportInfoVO
 * @Description: IRPT报表管理--已报信息
 * @author liyb
 * @date 2018-11-07 13:41:24
 * @version v1.0
 */
@Getter
@Setter
@ToString
@ApiModel(value = "IRPT报表管理--已报信息",description = "IRPT报表管理--已报信息")
public class ReportInfoVO {
    @ApiModelProperty(value = "报表期")
    private String bbq;
    @ApiModelProperty(value = "机构代码")
    private String unitCode;
    @ApiModelProperty(value = "机构名称")
    private String unitName;
    @ApiModelProperty(value = "所属粮食局代码")
    private String orgCode;
    @ApiModelProperty(value = "所属粮食局")
    private String orgName;
}
