package com.unis.ynls.irpt.common.VO.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @ClassName: RptListVO
 * @Description: IRPT报表管理--填报信息--列表
 * @author liyb
 * @date 2019-03-30 14:39:44
 * @version v1.0
 */
@Data
@ToString
@ApiModel(value = "IRPT报表管理--填报信息--列表",description = "IRPT报表管理--填报信息--列表")
public class RptListVO {
    @ApiModelProperty(value = "报表期代码")
    private String bbq;
    @ApiModelProperty(value = "报表真实代码")
    private String rptId;
    @ApiModelProperty(value = "机构代码")
    private String unitCode;
    @ApiModelProperty(value = "机构名称")
    private String unitName;
    @ApiModelProperty(value = "填报状态")
    private String rptState;
    @ApiModelProperty(value = "上报时间")
    private String submitDate;
    @ApiModelProperty(value = "【审批】流程代码")
    private String procInstId;
    @ApiModelProperty(value = "【审批】任务代码")
    private String taskId;
    @ApiModelProperty(value = "【审批】活动代码")
    private String actId;
    @ApiModelProperty(value = "审批节点名称")
    private String actName;
    @ApiModelProperty(value = "活动历史代码")
    private String actHistoryId;
    @ApiModelProperty(value = "活动结束时间")
    private String actEndTime;
    @ApiModelProperty(value = "当前办理人")
    private String assignee;


}
