package com.unis.ynls.irpt.common.VO.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: TaskFilterVO
 * @Description: IRPT报表筛选条件
 * @author liyb
 * @version v1.0
 * @date 2018-12-27 14:37:36
 */
@Getter
@Setter
@ToString
@ApiModel(value = "IRPT报表管理--已报数量--筛选条件",description = "IRPT报表管理--已报数量--筛选条件")
public class TaskFilterVO {
    @ApiModelProperty(value = "报表期")
    private String bbq;
    @ApiModelProperty(value = "报表真实ID",required = true)
    private String taskId;
    @ApiModelProperty(value = "行政区划")
    private String areaCode;
    @ApiModelProperty(value = "报表期（开始）")
    private String startBbq;
    @ApiModelProperty(value = "报表期（结束）")
    private String endBbq;
}
