package com.unis.ynls.irpt.common.VO.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: TaskInfoVO
 * @Description: IRPT报表管理--报表信息
 * @author liyb
 * @version v1.0
 * @date 2018-12-27 14:37:36
 */
@Getter
@Setter
@ToString
@ApiModel(value = "IRPT报表管理--报表信息",description = "IRPT报表管理--报表信息")
public class TaskInfoVO {
    @ApiModelProperty(value = "I报表--代码")
    private String taskId;
    @ApiModelProperty(value = "I报表--报表名")
    private String taskName;
    @ApiModelProperty(value = "I报表--报表期")
    private String taskBbqType;
    @ApiModelProperty(value = "I报表--信息表名")
    private String xxbTableName;
    @ApiModelProperty(value = "I报表--报表户表名")
    private String ulTableName;
}
