package com.unis.ynls.irpt.common.VO.task;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


@Data
@Accessors(chain = true)
public class TaskVO {

    /**
     * 动态任务名
     */
    private String name;

    /**
     * 设定动态任务开始时间
     */
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date startTime;
}
