package com.unis.ynls.irpt.server.config;

import org.springframework.cloud.stream.annotation.Input;
import org.springframework.messaging.SubscribableChannel;

/**
 * 
 * @ClassName: IntegrationProcess 
 * @Description: 自定义channel 
 * @author xmpu
 * @date 2018年11月27日 下午2:34:56 
 * 
 * @version v1.0
 */
public interface IntegrationProcess {
    // 输入通道名称
    public static final String INPUT = "ynls_input";

    @Input(IntegrationProcess.INPUT)
    public SubscribableChannel input();
}
