package com.unis.ynls.irpt.server.domain;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.LsBeanUtils;
import com.unis.ynls.irpt.common.VO.Report.*;
import com.unis.ynls.irpt.common.VO.reservereport.DivideSelectVO;
import com.unis.ynls.irpt.server.entity.DividedAllDo;
import com.unis.ynls.irpt.server.entity.DividedByYearDo;
import com.unis.ynls.irpt.server.mapper.DividedByYearMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.*;

@Component
public class DividedByYearDomain {
    @Autowired
    private DividedByYearMapper dividedByYearMapper;

    public List<DividedByYearVO> getFeiDetails(String hzqs) {

        List<DividedByYearVO> list = dividedByYearMapper.selectDetails(hzqs);
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.CHINA);
        LocalDate localDate = LocalDate.now();
        String date = localDate.format(formatter);
        for (DividedByYearVO dividedByYearVO : list) {
            dividedByYearVO.setRotateType(1);
            dividedByYearVO.setStatus(1);
            dividedByYearVO.setHzqs(hzqs);
        }
        List<DividedByYearVO> list1 = dividedByYearMapper.selectDetails1(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list1) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setGuoxiaodqmkc(byYearVO.getGuoxiaodqmkc());
                    dividedByYearVO.setGuoxiaoqmkc(byYearVO.getGuoxiaoqmkc());
                    dividedByYearVO.setGuoxiaooneqmkc(byYearVO.getGuoxiaooneqmkc());
                    dividedByYearVO.setGuoxiaotwoqmkc(byYearVO.getGuoxiaotwoqmkc());
                    dividedByYearVO.setGuoxiaothreeqmkc(byYearVO.getGuoxiaothreeqmkc());
                    dividedByYearVO.setGuoxiaofourqmkc(byYearVO.getGuoxiaofourqmkc());
                    dividedByYearVO.setGuoxiaofiveqmkcs(byYearVO.getGuoxiaofiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list2 = dividedByYearMapper.selectDetails2(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list2) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setDadoudqmkc(byYearVO.getDadoudqmkc());
                    dividedByYearVO.setDadouqmkc(byYearVO.getDadouqmkc());
                    dividedByYearVO.setDadouoneqmkc(byYearVO.getDadouoneqmkc());
                    dividedByYearVO.setDadoutwoqmkc(byYearVO.getDadoutwoqmkc());
                    dividedByYearVO.setDadouthreeqmkc(byYearVO.getDadouthreeqmkc());
                    dividedByYearVO.setDadoufourqmkc(byYearVO.getDadoufourqmkc());
                    dividedByYearVO.setDadoufiveqmkcs(byYearVO.getDadoufiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list3 = dividedByYearMapper.selectDetails3(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list3) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setDaogudqmkc(byYearVO.getDaogudqmkc());
                    dividedByYearVO.setDaoguqmkc(byYearVO.getDaoguqmkc());
                    dividedByYearVO.setDaoguoneqmkc(byYearVO.getDaoguoneqmkc());
                    dividedByYearVO.setDaogutwoqmkc(byYearVO.getDaogutwoqmkc());
                    dividedByYearVO.setDaoguthreeqmkc(byYearVO.getDaoguthreeqmkc());
                    dividedByYearVO.setDaogufourqmkc(byYearVO.getDaogufourqmkc());
                    dividedByYearVO.setDaogufiveqmkcs(byYearVO.getDaogufiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list4 = dividedByYearMapper.selectDetails4(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list4) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setDamidqmkc(byYearVO.getDamidqmkc());
                    dividedByYearVO.setDamiqmkc(byYearVO.getDamiqmkc());
                    dividedByYearVO.setDamioneqmkc(byYearVO.getDamioneqmkc());
                    dividedByYearVO.setDamitwoqmkc(byYearVO.getDamitwoqmkc());
                    dividedByYearVO.setDamithreeqmkc(byYearVO.getDamithreeqmkc());
                    dividedByYearVO.setDamifourqmkc(byYearVO.getDamifourqmkc());
                    dividedByYearVO.setDamifiveqmkcs(byYearVO.getDamifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list5 = dividedByYearMapper.selectDetails5(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list5) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setMianfendqmkc(byYearVO.getMianfendqmkc());
                    dividedByYearVO.setMianfenqmkc(byYearVO.getMianfenqmkc());
                    dividedByYearVO.setMianfenoneqmkc(byYearVO.getMianfenoneqmkc());
                    dividedByYearVO.setMianfentwoqmkc(byYearVO.getMianfentwoqmkc());
                    dividedByYearVO.setMianfenthreeqmkc(byYearVO.getMianfenthreeqmkc());
                    dividedByYearVO.setMianfenfourqmkc(byYearVO.getMianfenfourqmkc());
                    dividedByYearVO.setMianfenfiveqmkcs(byYearVO.getMianfenfiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list6 = dividedByYearMapper.selectDetails6(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list6) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setAomaidqmkc(byYearVO.getAomaidqmkc());
                    dividedByYearVO.setAomaiqmkc(byYearVO.getAomaiqmkc());
                    dividedByYearVO.setAomaioneqmkc(byYearVO.getAomaioneqmkc());
                    dividedByYearVO.setAomaitwoqmkc(byYearVO.getAomaitwoqmkc());
                    dividedByYearVO.setAomaithreeqmkc(byYearVO.getAomaithreeqmkc());
                    dividedByYearVO.setAomaifourqmkc(byYearVO.getAomaifourqmkc());
                    dividedByYearVO.setAomaifiveqmkcs(byYearVO.getAomaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list7 = dividedByYearMapper.selectDetails7(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list7) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setJiamaidqmkc(byYearVO.getJiamaidqmkc());
                    dividedByYearVO.setJiamaiqmkc(byYearVO.getJiamaiqmkc());
                    dividedByYearVO.setJiamaioneqmkc(byYearVO.getJiamaioneqmkc());
                    dividedByYearVO.setJiamaitwoqmkc(byYearVO.getJiamaitwoqmkc());
                    dividedByYearVO.setJiamaithreeqmkc(byYearVO.getJiamaithreeqmkc());
                    dividedByYearVO.setJiamaifourqmkc(byYearVO.getJiamaifourqmkc());
                    dividedByYearVO.setJiamaifiveqmkcs(byYearVO.getJiamaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list8 = dividedByYearMapper.selectDetails8(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list8) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setMeimaidqmkc(byYearVO.getMeimaidqmkc());
                    dividedByYearVO.setMeimaiqmkc(byYearVO.getMeimaiqmkc());
                    dividedByYearVO.setMeimaioneqmkc(byYearVO.getMeimaioneqmkc());
                    dividedByYearVO.setMeimaitwoqmkc(byYearVO.getMeimaitwoqmkc());
                    dividedByYearVO.setMeimaithreeqmkc(byYearVO.getMeimaithreeqmkc());
                    dividedByYearVO.setMeimaifourqmkc(byYearVO.getMeimaifourqmkc());
                    dividedByYearVO.setMeimaifiveqmkcs(byYearVO.getMeimaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list9 = dividedByYearMapper.selectDetails9(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list9) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setJinmaidqmkc(byYearVO.getJinmaidqmkc());
                    dividedByYearVO.setJinmaiqmkc(byYearVO.getJinmaiqmkc());
                    dividedByYearVO.setJinmaioneqmkc(byYearVO.getJinmaioneqmkc());
                    dividedByYearVO.setJinmaitwoqmkc(byYearVO.getJinmaitwoqmkc());
                    dividedByYearVO.setJinmaithreeqmkc(byYearVO.getJinmaithreeqmkc());
                    dividedByYearVO.setJinmaifourqmkc(byYearVO.getJinmaifourqmkc());
                    dividedByYearVO.setJinmaifiveqmkcs(byYearVO.getJinmaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list10 = dividedByYearMapper.selectDetails10(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list10) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setBaimaidqmkc(byYearVO.getBaimaidqmkc());
                    dividedByYearVO.setBaimaiqmkc(byYearVO.getBaimaiqmkc());
                    dividedByYearVO.setBaimaioneqmkc(byYearVO.getBaimaioneqmkc());
                    dividedByYearVO.setBaimaitwoqmkc(byYearVO.getBaimaitwoqmkc());
                    dividedByYearVO.setBaimaithreeqmkc(byYearVO.getBaimaithreeqmkc());
                    dividedByYearVO.setBaimaifourqmkc(byYearVO.getBaimaifourqmkc());
                    dividedByYearVO.setBaimaifiveqmkcs(byYearVO.getBaimaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list11 = dividedByYearMapper.selectDetails11(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list11) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setHongmaidqmkc(byYearVO.getHongmaidqmkc());
                    dividedByYearVO.setHongmaiqmkc(byYearVO.getHongmaiqmkc());
                    dividedByYearVO.setHongmaioneqmkc(byYearVO.getHongmaioneqmkc());
                    dividedByYearVO.setHongmaitwoqmkc(byYearVO.getHongmaitwoqmkc());
                    dividedByYearVO.setHongmaithreeqmkc(byYearVO.getHongmaithreeqmkc());
                    dividedByYearVO.setHongmaifourqmkc(byYearVO.getHongmaifourqmkc());
                    dividedByYearVO.setHongmaifiveqmkcs(byYearVO.getHongmaifiveqmkcs());
                }
            }
        }
        dividedByYearMapper.deleteSome(hzqs);
        if(list.size()>0){
            dividedByYearMapper.insertBaMore(list);
        }

        List<DividedByYearVO> voList = dividedByYearMapper.selectMore(hzqs);
        return voList;
    }

    public List<DividedByYearVO> getDetails(String hzqs) {
        List<DividedByYearVO> list = dividedByYearMapper.selectDetailsT(hzqs);
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.CHINA);
        LocalDate localDate = LocalDate.now();
        String date = localDate.format(formatter);
        for (DividedByYearVO dividedByYearVO : list) {
            dividedByYearVO.setRotateType(2);
            dividedByYearVO.setStatus(1);
            dividedByYearVO.setHzqs(hzqs);
        }
        List<DividedByYearVO> list1 = dividedByYearMapper.selectDetailsT1(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list1) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setGuoxiaodqmkc(byYearVO.getGuoxiaodqmkc());
                    dividedByYearVO.setGuoxiaoqmkc(byYearVO.getGuoxiaoqmkc());
                    dividedByYearVO.setGuoxiaooneqmkc(byYearVO.getGuoxiaooneqmkc());
                    dividedByYearVO.setGuoxiaotwoqmkc(byYearVO.getGuoxiaotwoqmkc());
                    dividedByYearVO.setGuoxiaothreeqmkc(byYearVO.getGuoxiaothreeqmkc());
                    dividedByYearVO.setGuoxiaofourqmkc(byYearVO.getGuoxiaofourqmkc());
                    dividedByYearVO.setGuoxiaofiveqmkcs(byYearVO.getGuoxiaofiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list2 = dividedByYearMapper.selectDetailsT2(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list2) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setDadoudqmkc(byYearVO.getDadoudqmkc());
                    dividedByYearVO.setDadouqmkc(byYearVO.getDadouqmkc());
                    dividedByYearVO.setDadouoneqmkc(byYearVO.getDadouoneqmkc());
                    dividedByYearVO.setDadoutwoqmkc(byYearVO.getDadoutwoqmkc());
                    dividedByYearVO.setDadouthreeqmkc(byYearVO.getDadouthreeqmkc());
                    dividedByYearVO.setDadoufourqmkc(byYearVO.getDadoufourqmkc());
                    dividedByYearVO.setDadoufiveqmkcs(byYearVO.getDadoufiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list3 = dividedByYearMapper.selectDetailsT3(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list3) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setDaogudqmkc(byYearVO.getDaogudqmkc());
                    dividedByYearVO.setDaoguqmkc(byYearVO.getDaoguqmkc());
                    dividedByYearVO.setDaoguoneqmkc(byYearVO.getDaoguoneqmkc());
                    dividedByYearVO.setDaogutwoqmkc(byYearVO.getDaogutwoqmkc());
                    dividedByYearVO.setDaoguthreeqmkc(byYearVO.getDaoguthreeqmkc());
                    dividedByYearVO.setDaogufourqmkc(byYearVO.getDaogufourqmkc());
                    dividedByYearVO.setDaogufiveqmkcs(byYearVO.getDaogufiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list4 = dividedByYearMapper.selectDetailsT4(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list4) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setDamidqmkc(byYearVO.getDamidqmkc());
                    dividedByYearVO.setDamiqmkc(byYearVO.getDamiqmkc());
                    dividedByYearVO.setDamioneqmkc(byYearVO.getDamioneqmkc());
                    dividedByYearVO.setDamitwoqmkc(byYearVO.getDamitwoqmkc());
                    dividedByYearVO.setDamithreeqmkc(byYearVO.getDamithreeqmkc());
                    dividedByYearVO.setDamifourqmkc(byYearVO.getDamifourqmkc());
                    dividedByYearVO.setDamifiveqmkcs(byYearVO.getDamifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list5 = dividedByYearMapper.selectDetailsT5(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list5) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setMianfendqmkc(byYearVO.getMianfendqmkc());
                    dividedByYearVO.setMianfenqmkc(byYearVO.getMianfenqmkc());
                    dividedByYearVO.setMianfenoneqmkc(byYearVO.getMianfenoneqmkc());
                    dividedByYearVO.setMianfentwoqmkc(byYearVO.getMianfentwoqmkc());
                    dividedByYearVO.setMianfenthreeqmkc(byYearVO.getMianfenthreeqmkc());
                    dividedByYearVO.setMianfenfourqmkc(byYearVO.getMianfenfourqmkc());
                    dividedByYearVO.setMianfenfiveqmkcs(byYearVO.getMianfenfiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list6 = dividedByYearMapper.selectDetailsT6(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list6) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setAomaidqmkc(byYearVO.getAomaidqmkc());
                    dividedByYearVO.setAomaiqmkc(byYearVO.getAomaiqmkc());
                    dividedByYearVO.setAomaioneqmkc(byYearVO.getAomaioneqmkc());
                    dividedByYearVO.setAomaitwoqmkc(byYearVO.getAomaitwoqmkc());
                    dividedByYearVO.setAomaithreeqmkc(byYearVO.getAomaithreeqmkc());
                    dividedByYearVO.setAomaifourqmkc(byYearVO.getAomaifourqmkc());
                    dividedByYearVO.setAomaifiveqmkcs(byYearVO.getAomaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list7 = dividedByYearMapper.selectDetailsT7(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list7) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setJiamaidqmkc(byYearVO.getJiamaidqmkc());
                    dividedByYearVO.setJiamaiqmkc(byYearVO.getJiamaiqmkc());
                    dividedByYearVO.setJiamaioneqmkc(byYearVO.getJiamaioneqmkc());
                    dividedByYearVO.setJiamaitwoqmkc(byYearVO.getJiamaitwoqmkc());
                    dividedByYearVO.setJiamaithreeqmkc(byYearVO.getJiamaithreeqmkc());
                    dividedByYearVO.setJiamaifourqmkc(byYearVO.getJiamaifourqmkc());
                    dividedByYearVO.setJiamaifiveqmkcs(byYearVO.getJiamaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list8 = dividedByYearMapper.selectDetailsT8(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list8) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setMeimaidqmkc(byYearVO.getMeimaidqmkc());
                    dividedByYearVO.setMeimaiqmkc(byYearVO.getMeimaiqmkc());
                    dividedByYearVO.setMeimaioneqmkc(byYearVO.getMeimaioneqmkc());
                    dividedByYearVO.setMeimaitwoqmkc(byYearVO.getMeimaitwoqmkc());
                    dividedByYearVO.setMeimaithreeqmkc(byYearVO.getMeimaithreeqmkc());
                    dividedByYearVO.setMeimaifourqmkc(byYearVO.getMeimaifourqmkc());
                    dividedByYearVO.setMeimaifiveqmkcs(byYearVO.getMeimaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list9 = dividedByYearMapper.selectDetailsT9(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list9) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setJinmaidqmkc(byYearVO.getJinmaidqmkc());
                    dividedByYearVO.setJinmaiqmkc(byYearVO.getJinmaiqmkc());
                    dividedByYearVO.setJinmaioneqmkc(byYearVO.getJinmaioneqmkc());
                    dividedByYearVO.setJinmaitwoqmkc(byYearVO.getJinmaitwoqmkc());
                    dividedByYearVO.setJinmaithreeqmkc(byYearVO.getJinmaithreeqmkc());
                    dividedByYearVO.setJinmaifourqmkc(byYearVO.getJinmaifourqmkc());
                    dividedByYearVO.setJinmaifiveqmkcs(byYearVO.getJinmaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list10 = dividedByYearMapper.selectDetailsT10(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list10) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setBaimaidqmkc(byYearVO.getBaimaidqmkc());
                    dividedByYearVO.setBaimaiqmkc(byYearVO.getBaimaiqmkc());
                    dividedByYearVO.setBaimaioneqmkc(byYearVO.getBaimaioneqmkc());
                    dividedByYearVO.setBaimaitwoqmkc(byYearVO.getBaimaitwoqmkc());
                    dividedByYearVO.setBaimaithreeqmkc(byYearVO.getBaimaithreeqmkc());
                    dividedByYearVO.setBaimaifourqmkc(byYearVO.getBaimaifourqmkc());
                    dividedByYearVO.setBaimaifiveqmkcs(byYearVO.getBaimaifiveqmkcs());
                }
            }
        }
        List<DividedByYearVO> list11 = dividedByYearMapper.selectDetailsT11(hzqs);
        for (DividedByYearVO dividedByYearVO : list) {
            for (DividedByYearVO byYearVO : list11) {
                if (Objects.equals(dividedByYearVO.getSskdmc(), byYearVO.getSskdmc())) {
                    dividedByYearVO.setHongmaidqmkc(byYearVO.getHongmaidqmkc());
                    dividedByYearVO.setHongmaiqmkc(byYearVO.getHongmaiqmkc());
                    dividedByYearVO.setHongmaioneqmkc(byYearVO.getHongmaioneqmkc());
                    dividedByYearVO.setHongmaitwoqmkc(byYearVO.getHongmaitwoqmkc());
                    dividedByYearVO.setHongmaithreeqmkc(byYearVO.getHongmaithreeqmkc());
                    dividedByYearVO.setHongmaifourqmkc(byYearVO.getHongmaifourqmkc());
                    dividedByYearVO.setHongmaifiveqmkcs(byYearVO.getHongmaifiveqmkcs());
                }
            }
        }
        dividedByYearMapper.deletesome(hzqs);
       if (list.size()>0){
           dividedByYearMapper.insertBaMore(list);
       }
        List<DividedByYearVO> voList = dividedByYearMapper.selectmore(hzqs);
        return voList;
    }

    public List<DividedAllVO> getAllDetails(String hzqs) {
        feiAllPreparation(hzqs);
        List<DividedAllVO> doList = dividedByYearMapper.selectFeiAllDetail(hzqs);
        return doList;
    }

    private void feiAllPreparation(String hzqs) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.CHINA);
        LocalDate localDate = LocalDate.now();
        String date = localDate.format(formatter);
        dividedByYearMapper.deleteZongAll(hzqs);
        List<DividedAllVO> maiList = dividedByYearMapper.selectmai(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            dividedAllVO.setXiaoheji(dividedAllVO.getXiaoheji().divide(new BigDecimal(2)));
            dividedAllVO.setHzqs(hzqs);
            dividedAllVO.setRotateType(1);
        }
        List<DividedAllVO> hejiList = dividedByYearMapper.selectheji(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : hejiList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setHeji(allVO.getHeji().subtract(dividedAllVO.getXiaoheji()));
                }
            }
        }
        List<DividedAllVO> daoList = dividedByYearMapper.selectdao(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : daoList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setDaoheji(allVO.getDaoheji());
                }
            }
        }
        List<DividedAllVO> dadouList = dividedByYearMapper.selectdadou(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : dadouList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setDadouheji(allVO.getDadouheji());
                }
            }
        }
        List<DividedAllVO> mianList = dividedByYearMapper.selectmian(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : mianList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setMianheji(allVO.getMianheji());
                }
            }
        }
        List<DividedAllVO> miList = dividedByYearMapper.selectmi(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : miList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setMiheji(allVO.getMiheji());
                }
            }
        }
        if (maiList.size()>0){
            dividedByYearMapper.insertmi(maiList);
        }

    }

    private void dataPreparation(String hzqs) {
        List<DividedByYearVO> list = dividedByYearMapper.selectDetails(hzqs);
        Set<DivideStatusVO> statusList = dividedByYearMapper.selectStatus();
        for (DivideStatusVO divideStatusVO : statusList) {
            for (DividedByYearVO dividedByYearVO : list) {
                /*if (Objects.equals(dividedByYearVO.getTjId(), divideStatusVO.getId())) {
                    dividedByYearVO.setStatus(divideStatusVO.getStatus());
                    dividedByYearVO.setRotateType(divideStatusVO.getRotateType());
                }*/
            }

        }
        dividedByYearMapper.deleteAll();
        dividedByYearMapper.insertBatch(list);
    }


    public List<DividedAllVO> getTiaoAllDetails(String hzqs) {
        tiaoAllPreparation(hzqs);
        List<DividedAllVO> doList = dividedByYearMapper.selectTiaoAllDetail(hzqs);
        return doList;
    }

    private void tiaoAllPreparation(String hzqs) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.CHINA);
        LocalDate localDate = LocalDate.now();
        String date = localDate.format(formatter);
        dividedByYearMapper.deleteZongTAll(hzqs);
        List<DividedAllVO> maiList = dividedByYearMapper.selectTmai(hzqs);

        for (DividedAllVO dividedAllVO : maiList) {
          dividedAllVO.setXiaoheji( dividedAllVO.getXiaoheji().divide(new BigDecimal(2)));
            dividedAllVO.setHzqs(hzqs);
            dividedAllVO.setRotateType(2);
        }
        List<DividedAllVO> hejiList = dividedByYearMapper.selectTheji(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : hejiList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setHeji(allVO.getHeji().subtract(dividedAllVO.getXiaoheji()));
                }
            }
        }
        List<DividedAllVO> daoList = dividedByYearMapper.selectTdao(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : daoList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setDaoheji(allVO.getDaoheji());
                }
            }
        }
        List<DividedAllVO> dadouList = dividedByYearMapper.selectTdadou(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : dadouList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setDadouheji(allVO.getDadouheji());
                }
            }
        }
        List<DividedAllVO> mianList = dividedByYearMapper.selectTmian(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : mianList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setMianheji(allVO.getMianheji());
                }
            }
        }
        List<DividedAllVO> miList = dividedByYearMapper.selectTmi(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : miList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setMiheji(allVO.getMiheji());
                }
            }
        }
        if (maiList.size()>0){
            dividedByYearMapper.insertmi(maiList);
        }

    }

    public List<DividedVO> getFeiDivideDetails(DivideSelectVO divideSelectVO) {
       /* DividedVO dividedVO = new DividedVO();
        List<BigDecimal> doList = dividedByYearMapper.selectFeiDivideDetails();
        List<BigDecimal> tiaoList = dividedByYearMapper.selectTDivideDetails();
        List<BigDecimal> zongList = dividedByYearMapper.selectZongDivideDetails();
        BigDecimal feiHeji = BigDecimal.ZERO;
        BigDecimal tiaoHeji = BigDecimal.ZERO;
        BigDecimal zongHeji = BigDecimal.ZERO;
        for (BigDecimal bigDecimal : doList) {
            feiHeji = feiHeji.add(bigDecimal);
        }
        for (BigDecimal bigDecimal : tiaoList) {
            tiaoHeji = tiaoHeji.add(bigDecimal);
        }
        for (BigDecimal bigDecimal : zongList) {
            zongHeji = zongHeji.add(bigDecimal);
        }
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.CHINA);
        DateTimeFormatter formatter1 = DateTimeFormatter.ofPattern("yyyy-MM-dd", Locale.CHINA);
        LocalDate localDate = LocalDate.now();
        String nowdate = localDate.format(formatter);
        String nowdate1 = localDate.format(formatter1);
        dividedVO.setFeiqmkc(feiHeji);
        dividedVO.setTiaoqmkc(tiaoHeji);
        dividedVO.setQmkc(zongHeji);
        dividedVO.setHzqs(nowdate);
        dividedVO.setRidate(nowdate1);
        dividedVO.setHzri(new Date());
        dividedVO.setRidate(nowdate1);
        dividedByYearMapper.insertzb(dividedVO);*/
        List<DividedVO> voList = dividedByYearMapper.selectAll(divideSelectVO);
        return voList;
    }

    public void delFeiDivideDetails(String hzqs) {
        dividedByYearMapper.deleteOne(hzqs);
    }

    public DividedVO createDetails(String hzqs) {
        //dividedByYearMapper.setHzqs(hzqs);
        // DividedVO dividedVO = dividedByYearMapper.seeAllOne(hzqs);
        DividedVO dividedVO = new DividedVO();
        List<BigDecimal> doList = dividedByYearMapper.selectFeiDivideDetails();
        List<BigDecimal> tiaoList = dividedByYearMapper.selectTDivideDetails();
        List<BigDecimal> zongList = dividedByYearMapper.selectZongDivideDetails();
        List<DividedVO> donList = dividedByYearMapper.seeAll(hzqs);
        BigDecimal feiHeji = BigDecimal.ZERO;
        BigDecimal tiaoHeji = BigDecimal.ZERO;
        BigDecimal zongHeji = BigDecimal.ZERO;
        for (BigDecimal bigDecimal : doList) {
            feiHeji = feiHeji.add(bigDecimal);
        }
        for (BigDecimal bigDecimal : tiaoList) {
            tiaoHeji = tiaoHeji.add(bigDecimal);
        }
        for (BigDecimal bigDecimal : zongList) {
            zongHeji = zongHeji.add(bigDecimal);
        }
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.CHINA);
        DateTimeFormatter formatter1 = DateTimeFormatter.ofPattern("yyyy-MM-dd", Locale.CHINA);
        LocalDate localDate = LocalDate.now();
        DivideCountVO divideCountVO = dividedByYearMapper.seeAlls(hzqs);
        String nowdate = localDate.format(formatter);
        String nowdate1 = localDate.format(formatter1);
        dividedVO.setFeiqmkc(feiHeji);
        dividedVO.setTiaoqmkc(tiaoHeji);
        dividedVO.setQmkc(zongHeji);
        dividedVO.setHzqs(hzqs);
        dividedVO.setHzri(divideCountVO.getSummarydate());
        return dividedVO;
    }

    public List<DividedAllVO> getAll(String hzqs) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.CHINA);
        LocalDate localDate = LocalDate.now();
        String date = localDate.format(formatter);
        dividedByYearMapper.deletesAll(hzqs);
        List<DividedAllVO> maiList = dividedByYearMapper.selectAmai(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            dividedAllVO.setXiaoheji(dividedAllVO.getXiaoheji().divide(new BigDecimal(2)));
            dividedAllVO.setHzqs(hzqs);
            dividedAllVO.setRotateType(0);
        }
        List<DividedAllVO> hejiList = dividedByYearMapper.selectAheji(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : hejiList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setHeji(allVO.getHeji().subtract(dividedAllVO.getXiaoheji()));
                }
            }
        }
        List<DividedAllVO> daoList = dividedByYearMapper.selectAdao(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : daoList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setDaoheji(allVO.getDaoheji());
                }
            }
        }
        List<DividedAllVO> dadouList = dividedByYearMapper.selectAdadou(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : dadouList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setDadouheji(allVO.getDadouheji());
                }
            }
        }
        List<DividedAllVO> mianList = dividedByYearMapper.selectAmian(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : mianList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setMianheji(allVO.getMianheji());
                }
            }
        }
        List<DividedAllVO> miList = dividedByYearMapper.selectAmi(hzqs);
        for (DividedAllVO dividedAllVO : maiList) {
            for (DividedAllVO allVO : miList) {
                if (Objects.equals(dividedAllVO.getSskdmc(), allVO.getSskdmc())) {
                    dividedAllVO.setMiheji(allVO.getMiheji());
                }
            }
        }
        if (maiList.size()>0){
            dividedByYearMapper.insertAll(maiList);
        }

        List<DividedAllVO> doList = dividedByYearMapper.selectAlls(hzqs);
        return doList;
    }

    public void setDetails(DividedVO dividedVO) {
        dividedByYearMapper.deleteOne(dividedVO.getHzqs());
        dividedByYearMapper.insertzb(dividedVO);
    }

    public DivideCountVO seeAlls(String hzqs) {
        DivideCountVO divideCountVO = dividedByYearMapper.seeAlls(hzqs);
        if (!StringUtils.isEmpty(divideCountVO)){
            List<DividedByYearVO> voList = dividedByYearMapper.selectMore(hzqs);
            List<DividedByYearVO> voList1 = dividedByYearMapper.selectmore(hzqs);
            if (voList.size()>0){
                divideCountVO.setFeiList(voList);
            }
            if (voList1.size()>0){
                divideCountVO.setTiaoList(voList1);
            }

        }

        return divideCountVO;
    }

    public DivideCountAllVO seeCAll(String hzqs) {
        DivideCountAllVO divideCountVO = dividedByYearMapper.seeCAlls(hzqs);
        if (!StringUtils.isEmpty(divideCountVO)){
            List<DividedAllVO> feiCountList = dividedByYearMapper.selectFeiAllDetail(hzqs);
            List<DividedAllVO> AllList = dividedByYearMapper.selectAlls(hzqs);
            List<DividedAllVO> TiaoCountList = dividedByYearMapper.selectTiaoAllDetail(hzqs);
            if (AllList.size()>0){
                divideCountVO.setAllCountList(AllList);
            }
            if (feiCountList.size()>0){
                divideCountVO.setFeiCountList(feiCountList);
            }
            if (TiaoCountList.size()>0){
                divideCountVO.setTiaoCountList(TiaoCountList);
            }

        }

        return divideCountVO;
    }





  /*  public List<DividedVO> getDivideDetails() {
        DividedVO dividedVO = new DividedVO();
        List<BigDecimal> doList = dividedByYearMapper.selectFeiDivideDetails();
        List<BigDecimal> tiaoList = dividedByYearMapper.selectTDivideDetails();
        List<BigDecimal> zongList = dividedByYearMapper.selectZongDivideDetails();
        BigDecimal feiHeji = BigDecimal.ZERO;
        BigDecimal tiaoHeji = BigDecimal.ZERO;
        BigDecimal zongHeji = BigDecimal.ZERO;
        for (BigDecimal bigDecimal : doList) {
            feiHeji = feiHeji.add(bigDecimal);
        }
        for (BigDecimal bigDecimal : tiaoList) {
            tiaoHeji = tiaoHeji.add(bigDecimal);
        }
        for (BigDecimal bigDecimal : zongList) {
            zongHeji = zongHeji.add(bigDecimal);
        }
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.CHINA);
        DateTimeFormatter formatter1 = DateTimeFormatter.ofPattern("yyyy-MM-dd", Locale.CHINA);
        LocalDate localDate = LocalDate.now();
        String nowdate = localDate.format(formatter);
        String nowdate1 = localDate.format(formatter1);
        dividedVO.setFeiqmkc(feiHeji);
        dividedVO.setTiaoqmkc(tiaoHeji);
        dividedVO.setQmkc(zongHeji);
        dividedVO.setHzqs(nowdate);
        dividedVO.setRidate(nowdate1);
        dividedVO.setHzri(new Date());
        dividedVO.setRidate(nowdate1);
        dividedByYearMapper.insertzb(dividedVO);
        List<DividedVO> voList = dividedByYearMapper.selectAllCount();
        return voList;
    }
*/

   /* public SumYearVO sumDetails() {
       List<BigDecimal> zong= dividedByYearMapper.selectZong();

}
*/
}