package com.unis.ynls.irpt.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@ApiModel("按生产年份汇总统计表")
@Table(name = "divide_all")
public class DividedAllDo {
    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;


    @ApiModelProperty(value = "品种名称")
    @Column(name = " pzmc")
    private String pzmc;

    @ApiModelProperty(value = "品种编码")
    @Column(name = "sskdmc")
    private String sskdmc;

    @ApiModelProperty(value = "总合计")
    @Column(name = "heji")
    private BigDecimal heji;

    @ApiModelProperty(value = "总合计")
    @Column(name = "daoheji")
    private BigDecimal daoheji;

    @ApiModelProperty(value = "小麦合计")
    @Column(name = "xiaoheji")
    private BigDecimal xiaoheji;

    @ApiModelProperty(value = "面粉合计")
    @Column(name = "mianheji")
    private BigDecimal mianheji;

    @ApiModelProperty(value = "大米合计")
    @Column(name = "miheji")
    private BigDecimal miheji;

}
