package com.unis.ynls.irpt.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.time.LocalDate;
import java.util.Date;

@Data
@ApiModel("财务报表-承储企业报表顺序设置--承储企业表")
@Table(name = "branch_details")
public class EmergencyBranchReportDo {
    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;


    @ApiModelProperty(value = "所在区")
    @Column(name = "location")
    private String location;


    @ApiModelProperty(value = "企业名称")
    @Column(name = "businessname")
    private String businessname;

    @ApiModelProperty(value = "统一社会信用代码")
    @Column(name = "creditcode")
    private String creditcode;

    @ApiModelProperty(value = "地址")
    @Column(name = "address")
    private String address;

    @ApiModelProperty(value = "联系人姓名")
    @Column(name = "contactname")
    private String contactname;

    @ApiModelProperty(value = "联系人联系方式")
    @Column(name = "contactphone")
    private String contactphone;

    private String newdate;

}

