package com.unis.ynls.irpt.server.entity;

import com.unis.ynls.irpt.common.VO.Report.EmergencySummaryVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.Date;
import java.util.Locale;

@Data
@ApiModel("财务报表-承储企业报表顺序设置--承储企业表")
@Table(name = "emergency_details")
public class EmergencyDetailDo {
    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;


    @ApiModelProperty(value = "所在区")
    @Column(name = "location")
    private String location;


    @ApiModelProperty(value = "企业名称")
    @Column(name = "businessname")
    private String businessname;

    @ApiModelProperty(value = "统一社会信用代码")
    @Column(name = "creditcode")
    private String creditcode;

    @ApiModelProperty(value = "地址")
    @Column(name = "address")
    private String address;

    @ApiModelProperty(value = "地址")
    @Column(name = "dimension")
    private String dimension;

    @ApiModelProperty(value = "地址")
    @Column(name = "longitude")
    private String longitude;

    @ApiModelProperty(value = "联系人姓名")
    @Column(name = "contactname")
    private String contactname;

    @ApiModelProperty(value = "联系人联系方式")
    @Column(name = "contactphone")
    private String contactphone;

    @ApiModelProperty(value = "联系人联系方式")
    @Column(name = "wheat")
    private String wheat;

    @ApiModelProperty(value = "联系人联系方式")
    @Column(name = "paddy")
    private String paddy;

    @ApiModelProperty(value = "联系人联系方式")
    @Column(name = "oiltreatment")
    private String oiltreatment;

    @ApiModelProperty(value = "联系人联系方式")
    @Column(name = "refining")
    private String refining;

    @ApiModelProperty(value = "联系人联系方式")
    @Column(name = "oilpackaging")
    private String oilpackaging;

    private EmergencySummaryVo emergencySummaryVo;

    private String newdate;

}
