/**  
 * @Title:PunishmentHandDO.java
 * @Package: com.unis.ynls.irpt.server.entity
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:28:19
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName: PunishmentHandDO
 * @Description: TODO功能描述:
 * @author lqg
 * @date 2019年10月19日 下午7:28:19
 * @remark 备注:
*/
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "ilsjb_jdclqktjbb")
public class PunishmentHandDO extends BaseEntity {
	
    //BBQ_年度
	@ApiModelProperty(value = "BBQ_", notes = "BBQ_年度", required = false)
	@Column(name = "BBQ_")
	private String bbq;
	
    //USERID_单位名称ID
	@ApiModelProperty(value = "USERID_", notes = "USERID_单位名称ID", required = false)
	@Column(name = "USERID_")
	private String userid;

	@ApiModelProperty(value = "BTYPE_", notes = "BTYPE", required = false)
	@Column(name = "BTYPE_")
	private String btype;

	@ApiModelProperty(value = "SHTAG", notes = "SHTAG", required = false)
	@Column(name = "SHTAG_")
	private String shtag;

	@ApiModelProperty(value = "SHTAG2_", notes = "SHTAG2", required = false)
	@Column(name = "SHTAG2_")
	private String shtag2;

	@ApiModelProperty(value = "OPTION_", notes = "OPTION", required = false)
	@Column(name = "OPTION_")
	private String option;
	@ApiModelProperty(value = "B4总计1案例总数（例数）1", notes = "B4总计1案例总数（例数）1", required = false)
	@Column(name = "B4")                     
    private BigDecimal b4;                 
	@ApiModelProperty(value = "C4总计1处理方式责令改正(例数)2", notes = "C4总计1处理方式责令改正(例数)2", required = false)
	@Column(name = "C4")                     
    private BigDecimal c4;                 
	@ApiModelProperty(value = "D4总计1处理方式警告(例数)3", notes = "D4总计1处理方式警告(例数)3", required = false)
	@Column(name = "D4")                     
    private BigDecimal d4;                 
	@ApiModelProperty(value = "E4总计1处理方式罚款例数4", notes = "E4总计1处理方式罚款例数4", required = false)
	@Column(name = "E4")                     
    private BigDecimal e4;                 
	@ApiModelProperty(value = "F4总计1处理方式罚款金额(万元)5", notes = "F4总计1处理方式罚款金额(万元)5", required = false)
	@Column(name = "F4")                     
    private BigDecimal f4;                 
	@ApiModelProperty(value = "G4总计1处理方式暂停粮食收购资格(例数)6", notes = "G4总计1处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G4")                     
    private BigDecimal g4;                 
	@ApiModelProperty(value = "H4总计1处理方式取消粮食收购资格(例数)7", notes = "H4总计1处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H4")                     
    private BigDecimal h4;                 
	@ApiModelProperty(value = "I4总计1处理方式移交其他部门处理(例数)8", notes = "I4总计1处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I4")                     
    private BigDecimal i4;                 
	@ApiModelProperty(value = "B5粮食收购资格2案例总数（例数）1", notes = "B5粮食收购资格2案例总数（例数）1", required = false)
	@Column(name = "B5")                     
    private BigDecimal b5;                 
	@ApiModelProperty(value = "C5粮食收购资格2处理方式责令改正(例数)2", notes = "C5粮食收购资格2处理方式责令改正(例数)2", required = false)
	@Column(name = "C5")                     
    private BigDecimal c5;                 
	@ApiModelProperty(value = "D5粮食收购资格2处理方式警告(例数)3", notes = "D5粮食收购资格2处理方式警告(例数)3", required = false)
	@Column(name = "D5")                     
    private BigDecimal d5;                 
	@ApiModelProperty(value = "E5粮食收购资格2处理方式罚款例数4", notes = "E5粮食收购资格2处理方式罚款例数4", required = false)
	@Column(name = "E5")                     
    private BigDecimal e5;                 
	@ApiModelProperty(value = "F5粮食收购资格2处理方式罚款金额(万元)5", notes = "F5粮食收购资格2处理方式罚款金额(万元)5", required = false)
	@Column(name = "F5")                     
    private BigDecimal f5;                 
	@ApiModelProperty(value = "G5粮食收购资格2处理方式暂停粮食收购资格(例数)6", notes = "G5粮食收购资格2处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G5")                     
    private BigDecimal g5;                 
	@ApiModelProperty(value = "H5粮食收购资格2处理方式取消粮食收购资格(例数)7", notes = "H5粮食收购资格2处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H5")                     
    private BigDecimal h5;                 
	@ApiModelProperty(value = "I5粮食收购资格2处理方式移交其他部门处理(例数)8", notes = "I5粮食收购资格2处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I5")                     
    private BigDecimal i5;                 
	@ApiModelProperty(value = "B6最低最高库存政策落实情况3案例总数（例数）1", notes = "B6最低最高库存政策落实情况3案例总数（例数）1", required = false)
	@Column(name = "B6")                     
    private BigDecimal b6;                 
	@ApiModelProperty(value = "C6最低最高库存政策落实情况3处理方式责令改正(例数)2", notes = "C6最低最高库存政策落实情况3处理方式责令改正(例数)2", required = false)
	@Column(name = "C6")                     
    private BigDecimal c6;                 
	@ApiModelProperty(value = "D6最低最高库存政策落实情况3处理方式警告(例数)3", notes = "D6最低最高库存政策落实情况3处理方式警告(例数)3", required = false)
	@Column(name = "D6")                     
    private BigDecimal d6;                 
	@ApiModelProperty(value = "E6最低最高库存政策落实情况3处理方式罚款例数4", notes = "E6最低最高库存政策落实情况3处理方式罚款例数4", required = false)
	@Column(name = "E6")                     
    private BigDecimal e6;                 
	@ApiModelProperty(value = "F6最低最高库存政策落实情况3处理方式罚款金额(万元)5", notes = "F6最低最高库存政策落实情况3处理方式罚款金额(万元)5", required = false)
	@Column(name = "F6")                     
    private BigDecimal f6;                 
	@ApiModelProperty(value = "G6最低最高库存政策落实情况3处理方式暂停粮食收购资格(例数)6", notes = "G6最低最高库存政策落实情况3处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G6")                     
    private BigDecimal g6;                 
	@ApiModelProperty(value = "H6最低最高库存政策落实情况3处理方式取消粮食收购资格(例数)7", notes = "H6最低最高库存政策落实情况3处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H6")                     
    private BigDecimal h6;                 
	@ApiModelProperty(value = "I6最低最高库存政策落实情况3处理方式移交其他部门处理(例数)8", notes = "I6最低最高库存政策落实情况3处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I6")                     
    private BigDecimal i6;                 
	@ApiModelProperty(value = "B7粮食收购活动4案例总数（例数）1", notes = "B7粮食收购活动4案例总数（例数）1", required = false)
	@Column(name = "B7")                     
    private BigDecimal b7;                 
	@ApiModelProperty(value = "C7粮食收购活动4处理方式责令改正(例数)2", notes = "C7粮食收购活动4处理方式责令改正(例数)2", required = false)
	@Column(name = "C7")                     
    private BigDecimal c7;                 
	@ApiModelProperty(value = "D7粮食收购活动4处理方式警告(例数)3", notes = "D7粮食收购活动4处理方式警告(例数)3", required = false)
	@Column(name = "D7")                     
    private BigDecimal d7;                 
	@ApiModelProperty(value = "E7粮食收购活动4处理方式罚款例数4", notes = "E7粮食收购活动4处理方式罚款例数4", required = false)
	@Column(name = "E7")                     
    private BigDecimal e7;                 
	@ApiModelProperty(value = "F7粮食收购活动4处理方式罚款金额(万元)5", notes = "F7粮食收购活动4处理方式罚款金额(万元)5", required = false)
	@Column(name = "F7")                     
    private BigDecimal f7;                 
	@ApiModelProperty(value = "G7粮食收购活动4处理方式暂停粮食收购资格(例数)6", notes = "G7粮食收购活动4处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G7")                     
    private BigDecimal g7;                 
	@ApiModelProperty(value = "H7粮食收购活动4处理方式取消粮食收购资格(例数)7", notes = "H7粮食收购活动4处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H7")                     
    private BigDecimal h7;                 
	@ApiModelProperty(value = "I7粮食收购活动4处理方式移交其他部门处理(例数)8", notes = "I7粮食收购活动4处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I7")                     
    private BigDecimal i7;                 
	@ApiModelProperty(value = "B8其中：政策性粮食收购活动5案例总数（例数）1", notes = "B8其中：政策性粮食收购活动5案例总数（例数）1", required = false)
	@Column(name = "B8")                     
    private BigDecimal b8;                 
	@ApiModelProperty(value = "C8其中：政策性粮食收购活动5处理方式责令改正(例数)2", notes = "C8其中：政策性粮食收购活动5处理方式责令改正(例数)2", required = false)
	@Column(name = "C8")                     
    private BigDecimal c8;                 
	@ApiModelProperty(value = "D8其中：政策性粮食收购活动5处理方式警告(例数)3", notes = "D8其中：政策性粮食收购活动5处理方式警告(例数)3", required = false)
	@Column(name = "D8")                     
    private BigDecimal d8;                 
	@ApiModelProperty(value = "E8其中：政策性粮食收购活动5处理方式罚款例数4", notes = "E8其中：政策性粮食收购活动5处理方式罚款例数4", required = false)
	@Column(name = "E8")                     
    private BigDecimal e8;                 
	@ApiModelProperty(value = "F8其中：政策性粮食收购活动5处理方式罚款金额(万元)5", notes = "F8其中：政策性粮食收购活动5处理方式罚款金额(万元)5", required = false)
	@Column(name = "F8")                     
    private BigDecimal f8;                 
	@ApiModelProperty(value = "G8其中：政策性粮食收购活动5处理方式暂停粮食收购资格(例数)6", notes = "G8其中：政策性粮食收购活动5处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G8")                     
    private BigDecimal g8;                 
	@ApiModelProperty(value = "H8其中：政策性粮食收购活动5处理方式取消粮食收购资格(例数)7", notes = "H8其中：政策性粮食收购活动5处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "G8")                     
    private BigDecimal h8;                 
	@ApiModelProperty(value = "I8其中：政策性粮食收购活动5处理方式移交其他部门处理(例数)8", notes = "I8其中：政策性粮食收购活动5处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I8")                     
    private BigDecimal i8;                 
	@ApiModelProperty(value = "B9政策性粮食销售出库6案例总数（例数）1", notes = "B9政策性粮食销售出库6案例总数（例数）1", required = false)
	@Column(name = "B9")                     
    private BigDecimal b9;                 
	@ApiModelProperty(value = "C9政策性粮食销售出库6处理方式责令改正(例数)2", notes = "C9政策性粮食销售出库6处理方式责令改正(例数)2", required = false)
	@Column(name = "C9")                     
    private BigDecimal c9;                 
	@ApiModelProperty(value = "D9政策性粮食销售出库6处理方式警告(例数)3", notes = "D9政策性粮食销售出库6处理方式警告(例数)3", required = false)
	@Column(name = "D9")                     
    private BigDecimal d9;                 
	@ApiModelProperty(value = "E9政策性粮食销售出库6处理方式罚款例数4", notes = "E9政策性粮食销售出库6处理方式罚款例数4", required = false)
	@Column(name = "E9")                     
    private BigDecimal e9;                 
	@ApiModelProperty(value = "F9政策性粮食销售出库6处理方式罚款金额(万元)5", notes = "F9政策性粮食销售出库6处理方式罚款金额(万元)5", required = false)
	@Column(name = "F9")                     
    private BigDecimal f9;                 
	@ApiModelProperty(value = "G9政策性粮食销售出库6处理方式暂停粮食收购资格(例数)6", notes = "G9政策性粮食销售出库6处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G9")                     
    private BigDecimal g9;                 
	@ApiModelProperty(value = "H9政策性粮食销售出库6处理方式取消粮食收购资格(例数)7", notes = "H9政策性粮食销售出库6处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H9")                     
    private BigDecimal h9;                 
	@ApiModelProperty(value = "I9政策性粮食销售出库6处理方式移交其他部门处理(例数)8", notes = "I9政策性粮食销售出库6处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I9")                     
    private BigDecimal i9;                 
	@ApiModelProperty(value = "B10粮食统计制度执行情况7案例总数（例数）1", notes = "B10粮食统计制度执行情况7案例总数（例数）1", required = false)
	@Column(name = "B10")                     
    private BigDecimal b10;                
	@ApiModelProperty(value = "C10粮食统计制度执行情况7处理方式责令改正(例数)2", notes = "C10粮食统计制度执行情况7处理方式责令改正(例数)2", required = false)
	@Column(name = "C10")                     
    private BigDecimal c10;                
	@ApiModelProperty(value = "D10粮食统计制度执行情况7处理方式警告(例数)3", notes = "D10粮食统计制度执行情况7处理方式警告(例数)3", required = false)
	@Column(name = "D10")                     
    private BigDecimal d10;                
	@ApiModelProperty(value = "E10粮食统计制度执行情况7处理方式罚款例数4", notes = "E10粮食统计制度执行情况7处理方式罚款例数4", required = false)
	@Column(name = "E10")                     
    private BigDecimal e10;                
	@ApiModelProperty(value = "F10粮食统计制度执行情况7处理方式罚款金额(万元)5", notes = "F10粮食统计制度执行情况7处理方式罚款金额(万元)5", required = false)
	@Column(name = "F10")                     
    private BigDecimal f10;                
	@ApiModelProperty(value = "G10粮食统计制度执行情况7处理方式暂停粮食收购资格(例数)6", notes = "G10粮食统计制度执行情况7处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G10")                     
    private BigDecimal g10;                
	@ApiModelProperty(value = "H10粮食统计制度执行情况7处理方式取消粮食收购资格(例数)7", notes = "H10粮食统计制度执行情况7处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H10")                     
    private BigDecimal h10;                
	@ApiModelProperty(value = "I10粮食统计制度执行情况7处理方式移交其他部门处理(例数)8", notes = "I10粮食统计制度执行情况7处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I10")                     
    private BigDecimal i10;                
	@ApiModelProperty(value = "B11粮食质量8案例总数（例数）1", notes = "B11粮食质量8案例总数（例数）1", required = false)
	@Column(name = "B11")                     
    private BigDecimal b11;                
	@ApiModelProperty(value = "C11粮食质量8处理方式责令改正(例数)2", notes = "C11粮食质量8处理方式责令改正(例数)2", required = false)
	@Column(name = "C11")                     
    private BigDecimal c11;                
	@ApiModelProperty(value = "D11粮食质量8处理方式警告(例数)3", notes = "D11粮食质量8处理方式警告(例数)3", required = false)
	@Column(name = "D11")                     
    private BigDecimal d11;                
	@ApiModelProperty(value = "E11粮食质量8处理方式罚款例数4", notes = "E11粮食质量8处理方式罚款例数4", required = false)
	@Column(name = "E11")                     
    private BigDecimal e11;                
	@ApiModelProperty(value = "F11粮食质量8处理方式罚款金额(万元)5", notes = "F11粮食质量8处理方式罚款金额(万元)5", required = false)
	@Column(name = "F11")                     
    private BigDecimal f11;                
	@ApiModelProperty(value = "G11粮食质量8处理方式暂停粮食收购资格(例数)6", notes = "G11粮食质量8处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G11")                     
    private BigDecimal g11;                
	@ApiModelProperty(value = "H11粮食质量8处理方式取消粮食收购资格(例数)7", notes = "H11粮食质量8处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H11")                     
    private BigDecimal h11;                
	@ApiModelProperty(value = "I11粮食质量8处理方式移交其他部门处理(例数)8", notes = "I11粮食质量8处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I11")                     
    private BigDecimal i11;                
	@ApiModelProperty(value = "B12粮食仓储设施及运输工具9案例总数（例数）1", notes = "B12粮食仓储设施及运输工具9案例总数（例数）1", required = false)
	@Column(name = "B12")                     
    private BigDecimal b12;                
	@ApiModelProperty(value = "C12粮食仓储设施及运输工具9处理方式责令改正(例数)2", notes = "C12粮食仓储设施及运输工具9处理方式责令改正(例数)2", required = false)
	@Column(name = "C12")                     
    private BigDecimal c12;                
	@ApiModelProperty(value = "D12粮食仓储设施及运输工具9处理方式警告(例数)3", notes = "D12粮食仓储设施及运输工具9处理方式警告(例数)3", required = false)
	@Column(name = "D12")                     
    private BigDecimal d12;                
	@ApiModelProperty(value = "E12粮食仓储设施及运输工具9处理方式罚款例数4", notes = "E12粮食仓储设施及运输工具9处理方式罚款例数4", required = false)
	@Column(name = "E12")                     
    private BigDecimal e12;                
	@ApiModelProperty(value = "F12粮食仓储设施及运输工具9处理方式罚款金额(万元)5", notes = "F12粮食仓储设施及运输工具9处理方式罚款金额(万元)5", required = false)
	@Column(name = "F12")                     
    private BigDecimal f12;                
	@ApiModelProperty(value = "G12粮食仓储设施及运输工具9处理方式暂停粮食收购资格(例数)6", notes = "G12粮食仓储设施及运输工具9处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G12")                     
    private BigDecimal g12;                
	@ApiModelProperty(value = "H12粮食仓储设施及运输工具9处理方式取消粮食收购资格(例数)7", notes = "H12粮食仓储设施及运输工具9处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H12")                     
    private BigDecimal h12;                
	@ApiModelProperty(value = "I12粮食仓储设施及运输工具9处理方式移交其他部门处理(例数)8", notes = "I12粮食仓储设施及运输工具9处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I12")                     
    private BigDecimal i12;                
	@ApiModelProperty(value = "B13粮油库存10案例总数（例数）1", notes = "B13粮油库存10案例总数（例数）1", required = false)
	@Column(name = "B13")                     
    private BigDecimal b13;                
	@ApiModelProperty(value = "C13粮油库存10处理方式责令改正(例数)2", notes = "C13粮油库存10处理方式责令改正(例数)2", required = false)
	@Column(name = "C13")                     
    private BigDecimal c13;                
	@ApiModelProperty(value = "D13粮油库存10处理方式警告(例数)3", notes = "D13粮油库存10处理方式警告(例数)3", required = false)
	@Column(name = "D13")                     
    private BigDecimal d13;                
	@ApiModelProperty(value = "E13粮油库存10处理方式罚款例数4", notes = "E13粮油库存10处理方式罚款例数4", required = false)
	@Column(name = "E13")                     
    private BigDecimal e13;                
	@ApiModelProperty(value = "F13粮油库存10处理方式罚款金额(万元)5", notes = "F13粮油库存10处理方式罚款金额(万元)5", required = false)
	@Column(name = "F13")                     
    private BigDecimal f13;                
	@ApiModelProperty(value = "G13粮油库存10处理方式暂停粮食收购资格(例数)6", notes = "G13粮油库存10处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G13")                     
    private BigDecimal g13;                
	@ApiModelProperty(value = "H13粮油库存10处理方式取消粮食收购资格(例数)7", notes = "H13粮油库存10处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H13")                     
    private BigDecimal h13;                
	@ApiModelProperty(value = "I13粮油库存10处理方式移交其他部门处理(例数)8", notes = "I13粮油库存10处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I13")                     
    private BigDecimal i13;                
	@ApiModelProperty(value = "B14其他11案例总数（例数）1", notes = "B14其他11案例总数（例数）1", required = false)
	@Column(name = "B14")                     
    private BigDecimal b14;                
	@ApiModelProperty(value = "C14其他11处理方式责令改正(例数)2", notes = "C14其他11处理方式责令改正(例数)2", required = false)
	@Column(name = "C14")                     
    private BigDecimal c14;                
	@ApiModelProperty(value = "D14其他11处理方式警告(例数)3", notes = "D14其他11处理方式警告(例数)3", required = false)
	@Column(name = "D14")                     
    private BigDecimal d14;                
	@ApiModelProperty(value = "E14其他11处理方式罚款例数4", notes = "E14其他11处理方式罚款例数4", required = false)
	@Column(name = "E14")                     
    private BigDecimal e14;                
	@ApiModelProperty(value = "F14其他11处理方式罚款金额(万元)5", notes = "F14其他11处理方式罚款金额(万元)5", required = false)
	@Column(name = "F14")                     
    private BigDecimal f14;                
	@ApiModelProperty(value = "G14其他11处理方式暂停粮食收购资格(例数)6", notes = "G14其他11处理方式暂停粮食收购资格(例数)6", required = false)
	@Column(name = "G14")                     
    private BigDecimal g14;                
	@ApiModelProperty(value = "H14其他11处理方式取消粮食收购资格(例数)7", notes = "H14其他11处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H14")                     
    private BigDecimal h14;                
	@ApiModelProperty(value = "I14其他11处理方式移交其他部门处理(例数)8", notes = "I14其他11处理方式移交其他部门处理(例数)8", required = false)
	@Column(name = "I14")                     
    private BigDecimal i14;                
	@ApiModelProperty(value = "B15监督检查机构负责人：案例总数（例数）1", notes = "B15监督检查机构负责人：案例总数（例数）1", required = false)
	@Column(name = "B15")                     
    private String b15;                    
	@ApiModelProperty(value = "E15填表人：处理方式罚款例数4", notes = "E15填表人：处理方式罚款例数4", required = false)
	@Column(name = "E15")                     
    private String e15;                    
	@ApiModelProperty(value = "H15填报日期：处理方式取消粮食收购资格(例数)7", notes = "H15填报日期：处理方式取消粮食收购资格(例数)7", required = false)
	@Column(name = "H15")                     
    private String h15;                    
	@ApiModelProperty(value = "D16", notes = "D16", required = false)
	@Column(name = "D16")     
    private String d16;

	@ApiModelProperty(value = "上报时间", notes = "上报时间", required = false)
	@Column(name = "SUBMITDATE_")
	private Date submitdate;
}
