package com.unis.ynls.irpt.server.entity.rotationreport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮轮换补贴申请明细表")
@Table(name = "rotate_plan_protocol_record")
public class RotatePlanProtocolRecordDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "轮换协议编码")
    @Column(name = "lhxybm")
    private String lhxybm;

    @ApiModelProperty(value = "是否已上报 0:未上报 1:已上报")
    private Integer haveReport;

    @ApiModelProperty(value = "承储企业")
    private String ccqy;

    @ApiModelProperty(value = "承储企业名称")
    private String ccqymc;

    @ApiModelProperty(value = "轮换补贴申请表id")
    private String rotationSubsidyId;
}
