package com.unis.ynls.irpt.server.entity.sys;


import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * (Es10User)实体类
 *
 * @author liyb
 * @since 2018-11-23 14:33:22
 */
@Getter
@Setter
@ToString
@Entity
@Table(name = "ES10_USER")
public class Es10UserDO{
    /**
     * 用户代码
     */
    @Id
    @Column(name = "USERID_")
    private String userid_;
    /**
     * 用户名称
     */
    @Column(name = "CAPTION_")
    private String caption_;
    /**
     * 密码
     */
    @Column(name = "PASSWORD_")
    private String password_;
    /**
     * 启用
     */
    @Column(name = "ENABLED_")
    private String enabled_;
    /**
     * 邮箱地址
     */
    @Column(name = "EMAIL_")
    private String email_;
    /**
     * 电话
     */
    @Column(name = "TEL_")
    private String tel_;
    /**
     * 最后修改日期
     */
    @Column(name = "LASTMODIFYTIME_")
    private Date lastmodifytime_;
    /**
     * 密码最后修改日期
     */
    @Column(name = "LASTPWDMODIFYTIME_")
    private Date lastpwdmodifytime_;
    /**
     * 有效期
     */
    @Column(name = "EFFECTIVEDATE_")
    private Date effectivedate_;
    /**
     * 人员所属部门【粮食局用户】
     */
    @Column(name = "DEPARTMENT")
    private String department;
}