package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.reservereport.EnterpriseQueryVO;
import com.unis.ynls.irpt.common.VO.reservereport.EnterpriseVO;
import com.unis.ynls.irpt.server.entity.reservereport.EnterpriseDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface EnterpriseMapper extends Mapper<EnterpriseDO> {

    List<EnterpriseDO> selectByDataType(@Param("dataType") Integer dataType);

    List<EnterpriseDO> selectByQuery(EnterpriseQueryVO queryVO);

    int sortByCcqybm(@Param("ccqybm")String ccqybm, @Param("sort")Integer sort);
}
