package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.server.entity.FinanceReportDO;
import com.unis.ynls.irpt.server.entity.FinanceReportDetailDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface FinanceReportDetailMapper extends Mapper<FinanceReportDetailDO> {
    int insertBatch(List<FinanceReportDetailDO> detailDOList);

    List<FinanceReportDetailDO> selectByMainId(@Param("mainId")String mainId);

    int deleteByMainId(@Param("mainId") String mainId);
}
