package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.EconomicVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface HighGradeMapper {
    //优质粮食工程明细(盟市)
    List<EconomicVO> findDetail(@Param("vo") EconomicVO vo);

    //优质粮食工程汇总(自治区)
    List<EconomicVO> findCollect(@Param("vo") EconomicVO vo);
}
