/**  
 * @Title:PunishmentHandMapper.java
 * @Package: com.unis.ynls.irpt.server.mapper
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:26:50
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.ynls.irpt.common.VO.PunishmentHandQueryVO;
import com.unis.ynls.irpt.common.VO.PunishmentHandVO;
import com.unis.ynls.irpt.server.entity.PunishmentHandDO;
import com.unis.ynls.irpt.server.entity.SupervisionDO;

/**
 * @ClassName: PunishmentHandMapper
 * @Description: TODO功能描述:
 * @author lqg
 * @date 2019年10月19日 下午7:26:50
 * @remark 备注:
*/

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface PunishmentHandMapper {

	/**
	 * @Title: findPageList
	 * @Description: TODO方法描述:(分页)
	 * @param @param punishmentHandQueryVO
	 * @param @return    设定文件
	 * @return List<PunishmentHandDO>    返回类型
	 * @throws
	*/
	public List<PunishmentHandDO> findPageList(PunishmentHandQueryVO punishmentHandQueryVO);
	
	int insert(PunishmentHandDO record);

    int insertSelective(PunishmentHandDO record);

    PunishmentHandDO selectByPrimaryKey(String rwId);
    
    int updateByPrimaryKeySelective(PunishmentHandDO record);

    int updateByPrimaryKey(PunishmentHandDO record);

	/**
	 * @Title: delete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param punishmentHandVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int delete(PunishmentHandVO punishmentHandVO);
	/**
	 * 
	 * @Title: getMaxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param pstr
	 * @param @return    设定文件
	 * @return String    返回类型
	 * @throws
	 */
	String getMaxCodeById(@Param("pstr")String pstr);
}
