package com.unis.ynls.irpt.server.mapper;


import com.unis.ynls.irpt.common.VO.reservereport.PurchaseStockDetailVO;
import com.unis.ynls.irpt.common.VO.reservereport.PurchaseStockQueryVO;
import com.unis.ynls.irpt.server.entity.reservereport.PurchaseStockDetailDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

@Repository
public interface PurchaseStockDetailMapper extends Mapper<PurchaseStockDetailDO> {

    int insertList(List<PurchaseStockDetailDO> detailList);

    int deleteByPsId(@Param("psId") String psId);

    List<PurchaseStockDetailDO> selectByPsId(@Param("psId")String psId);

    List<PurchaseStockDetailDO> selectSummaryByQuery(PurchaseStockQueryVO queryVO);

    List<Map<String, String>> selectPzMapList();

    List<String> selectChildByPzbm(@Param("pzbm") String pzbm);

    List<PurchaseStockDetailVO> selectPreviousStock(PurchaseStockQueryVO queryVO);


}
