package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.rotationreport.RotationSubsidyGrainVO;
import com.unis.ynls.irpt.common.VO.rotationreport.RotationSubsidyQueryVO;
import com.unis.ynls.irpt.server.entity.RotatePlanProtocolDetailVO;
import com.unis.ynls.irpt.server.entity.RotatePlanProtocolVO;
import com.unis.ynls.irpt.server.entity.rotationreport.RotationSubsidyDO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface RotationSubsidyMapper extends Mapper<RotationSubsidyDO> {

    List<RotationSubsidyDO> selectByQuery(RotationSubsidyQueryVO queryVO);

    List<RotationSubsidyGrainVO> selectByVO(String ccqybm, String pzbm);

    Integer updateStatus(@Param("item") List<String> rotationSubsidyIds,@Param("bfzt") Integer bfzt);

    Integer updateStatus1(@Param("item") List<String> rotationSubsidyIds,@Param("bfzt") Integer bfzt);

    List<String> selectSskddm(String ccqybm);

    List<String> selectChildCode(String pzbm);

    List<RotatePlanProtocolDetailVO> selectDetail(@Param("sskddm") String sskddm, @Param("childPzCode") List<String> childPzCode);

    String selectScnd(String pzbm);

    List<RotatePlanProtocolVO> getRotationProtocol(@Param("ccqybm") String ccqybm);
}
