package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.SafetyQueryVO;
import com.unis.ynls.irpt.common.VO.SafetyVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Author ChenKai
 * @Date 2019/10/18 14:20
 * @Version 1.0
 */

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface SafeMapper {
    List<SafetyVO> findSafeInfo(@Param("vo") SafetyQueryVO vo);

    String findMaxId(@Param("s") String s);

    int deleteByBbq(@Param("bbq") String bbq);
}
