package com.unis.ynls.irpt.server.mapper;
import com.unis.ynls.irpt.common.VO.BasicVO;
import com.unis.ynls.irpt.common.VO.StatisticalQueryVO;
import com.unis.ynls.irpt.common.VO.StatisticalVO;
import com.unis.ynls.irpt.server.entity.StatisticalDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface StatisticalMapper {

    int insert(StatisticalDO record);

    int insertSelective(StatisticalDO record);

    StatisticalDO selectByPrimaryKey(String rwId);
    
    int updateByPrimaryKeySelective(StatisticalDO record);

    int updateByPrimaryKey(StatisticalDO record);
    
    /**
     * 分页
     * @param statisticalQueryVO
     * @return
     */
	 List<StatisticalDO> findPageList(StatisticalQueryVO statisticalQueryVO);

	/**
	 * @Title: delete
	 * @Description: TODO方法描述:(报表信息删除【执法督查机构、人员和经费情况统计表】)
	 * @param @param statisticalVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	int delete(StatisticalVO statisticalVO);
	
	/**
	 * 获取任务ID主键策略方法  编号+001 格式
	 * @param maxCodeById
	 * @param string
	 * @param i
	 * @return
	 */
	String getMaxCodeById(@Param("pstr")String pstr);

	String findMaxId();

    void basicInsert(BasicVO basicVO);
}