package com.unis.ynls.irpt.server.mapper;


import com.unis.ynls.irpt.common.VO.reservereport.StorageSubsidySummaryDetailVO;
import com.unis.ynls.irpt.common.VO.reservereport.StorageSubsidySummaryQueryVO;
import com.unis.ynls.irpt.common.VO.reservereport.StorageSubsidySummaryVO;
import com.unis.ynls.irpt.server.entity.reservereport.PurchaseStockSummaryDO;
import com.unis.ynls.irpt.server.entity.reservereport.StorageSubsidySummaryDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface StorageSubsidySummaryMapper extends Mapper<StorageSubsidySummaryDO> {
    List<StorageSubsidySummaryDO> selectByQuery(StorageSubsidySummaryQueryVO queryVO);

    List<StorageSubsidySummaryDetailVO> getSummaryByPeriod(StorageSubsidySummaryQueryVO queryVO);

    StorageSubsidySummaryDO selectById(@Param("id") String id);

    String selectByDataType(Integer dataType);

}
