package com.unis.ynls.irpt.server.service;

import com.unis.ynls.irpt.common.VO.backlog.ReceiverCollectionVO;

import java.util.List;

/**
 *
 * @Description：待办服务
 * @author：王帅
 * @date: 2020年2月27日
 */
public interface BacklogMQService {

	/**
	 *
	 * @Description: 简单消息发送
	 * @author: 王帅
	 * @param: @param obj
	 * @param: @param type 参数
	 * @return: void 返回类型
	 */
	public void sendMsg(Object obj, String type);

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 加待办-储备粮
	 * @Date 2020年4月14日 下午4:27:53
	 * @param itemId
	 * @param title
	 * @param status
	 * @param statusName
	 * @param itemUrl
	 * @param itemQuery
	 * @param itemQueryHaveDone
	 * @param userList void
	 */
	public void addNeedToDeals(String itemId, String title, String status, String statusName, String itemUrl, String itemQuery,
			String itemQueryHaveDone,
			String itemUrlHaveDone,
			List<ReceiverCollectionVO> userList);


	/**
	 * 更新待办
	 * @param itemId
	 * @param itemName
	 * @param status
	 * @param statusName
	 * @param itemQueryHaveDone
	 * @param itemUrlHaveDone
	 */
	void updateDeals(String itemId, String itemName, String status, String statusName,String itemQueryHaveDone,String itemUrlHaveDone);
}
