package com.unis.ynls.irpt.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.EconomicVO;
import com.unis.ynls.irpt.common.VO.ProductionVO;
import com.unis.ynls.irpt.common.VO.QuarterVO;
import com.unis.ynls.irpt.common.VO.SafetyQueryVO;

import java.util.List;

/**
 * @Author ChenKai
 * @Date 2019/9/29 16:07
 * @Version 1.0
 */

public interface EconomicService {


    PageInfo<List<EconomicVO>> findStatistics(Integer pageNum, Integer pageSize, EconomicVO vo);

    PageInfo<List<EconomicVO>> findQuarterlyReport(Integer pageNum, Integer pageSize, EconomicVO vo);

    PageInfo<List<EconomicVO>> findndChart(Integer pageNum, Integer pageSize, EconomicVO vo);

    PageInfo<List<EconomicVO>> findScienceBasic(Integer pageNum, Integer pageSize, EconomicVO vo);

    List<QuarterVO> findYearByZt(Integer zt);

    List<ProductionVO> findProduction(SafetyQueryVO vo);
}
