package com.unis.ynls.irpt.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.ynls.irpt.common.VO.FinanceReportQueryVO;
import com.unis.ynls.irpt.common.VO.FinanceReportVO;

public interface FinanceReportService {
    ResponseWrapper saveFinanceReport(String type, FinanceReportVO vo);

    ResponseWrapper updateFinanceReport(FinanceReportVO vo);

    PageInfo<FinanceReportVO> getFinanceReportPageList(String type, Integer pageNum, Integer pageSize, FinanceReportQueryVO queryVO);

    FinanceReportVO getFinanceReportInfo(String id);

    int deleteFinanceReport(String id);
}
