/**  
 * @Title:EnforcementTeamServiceImp.java
 * @Package: com.unis.ynls.irpt.server.service.impl
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午2:07:26
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.EnforcementTeamQueryVO;
import com.unis.ynls.irpt.common.VO.EnforcementTeamVO;
import com.unis.ynls.irpt.server.domain.EnforcementTeamDomain;
import com.unis.ynls.irpt.server.service.EnforcementTeamService;

/**
 * @ClassName: EnforcementTeamServiceImp
 * @Description: TODO功能描述:
 * @author lqg
 * @date 2019年10月19日 下午2:07:26
 * @remark 备注:
*/
@Service
public class EnforcementTeamServiceImp implements EnforcementTeamService{
	@Autowired
	private EnforcementTeamDomain enforcementTeamDomain;

	/** (非 Javadoc)
	* <p>Title: enforcementTeamPageList</p>
	* <p>Description: </p>
	* @param enforcementTeamQueryVO
	* @param pageNum
	* @param pageSize
	* @return
	* @see com.unis.ynls.irpt.server.service.EnforcementTeamService#enforcementTeamPageList(com.unis.ynls.irpt.common.VO.EnforcementTeamQueryVO, java.lang.Integer, java.lang.Integer)
	*/
	@Override
	public PageInfo<EnforcementTeamVO> enforcementTeamPageList(EnforcementTeamQueryVO enforcementTeamQueryVO,
			Integer pageNum, Integer pageSize) {
		return enforcementTeamDomain.enforcementTeamPageList(enforcementTeamQueryVO,pageNum,pageSize);
	}

	/** (非 Javadoc)
	* <p>Title: enforcementTeamInto</p>
	* <p>Description: </p>
	* @param enforcementTeamVO
	* @return
	* @see com.unis.ynls.irpt.server.service.EnforcementTeamService#enforcementTeamInto(com.unis.ynls.irpt.common.VO.EnforcementTeamVO)
	*/
	@Override
	public int enforcementTeamInto(EnforcementTeamVO enforcementTeamVO) {
		return enforcementTeamDomain.enforcementTeamInto(enforcementTeamVO);
	}

	/** (非 Javadoc)
	* <p>Title: enforcementTeamDelete</p>
	* <p>Description: </p>
	* @param enforcementTeamVO
	* @return
	* @see com.unis.ynls.irpt.server.service.EnforcementTeamService#enforcementTeamDelete(com.unis.ynls.irpt.common.VO.EnforcementTeamVO)
	*/
	@Override
	public int enforcementTeamDelete(EnforcementTeamVO enforcementTeamVO) {
		return enforcementTeamDomain.delete(enforcementTeamVO);
	}

	/** (非 Javadoc)
	* <p>Title: maxCodeById</p>
	* <p>Description: </p>
	* @param jhId
	* @return
	* @see com.unis.ynls.irpt.server.service.EnforcementTeamService#maxCodeById(java.lang.String)
	*/
	@Override
	public String maxCodeById(String jhId) {
		return enforcementTeamDomain.maxCodeById(jhId);
	}
}
