package com.unis.ynls.irpt.client;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "myuser")
@Component
@Api(value = "用户中心", tags = "用户中心")
public interface UserFeign {

    //根据用户账号查密码
    @ApiOperation(value = "根据用户账号查密码", notes = "参数：用户账号 account")
    @PostMapping(value = "/user/fingPwByAccount")
    public String fingPwByAccount(@RequestParam("account") String account);
}
