package com.unis.ynls.irpt.common.VO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/11/22 14:01
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@ApiModel(value="基本信息表VO",description="基本信息表VO")
public class BasicVO {
    @ApiModelProperty(value = "BBQ_", notes = "BBQ_年度", required = false)
    private String bbq;
    //USERID_单位名称ID
    @ApiModelProperty(value = "USERID_", notes = "USERID_单位名称ID", required = false)
    private String userid;

    @ApiModelProperty(value = "USERNAME_" ,notes = "单位名称", required = false)
    private String username;

    @ApiModelProperty(value = "BTYPE_", notes = "BTYPE", required = false)
    private String btype;

    @ApiModelProperty(value = "UPID_", notes = "UPID", required = false)
    private String upid;

    @ApiModelProperty(value = "SHTAG_", notes = "SHTAG", required = false)
    private String shtag;

    @ApiModelProperty(value = "SHTAG2_", notes = "SHTAG2", required = false)
    private String shtag2;

    @ApiModelProperty(value = "OPTION_", notes = "OPTION", required = false)
    private String option;

    @ApiModelProperty(value = "USERSHTAG2_", notes = "USERSHTAG2", required = false)
    private String usershtag2;

    @ApiModelProperty(value = "LOCKOWNER_", notes = "LOCKOWNER", required = false)
    private String lockowner;

    @ApiModelProperty(value = "LOCKERNAME_", notes = "LOCKERNAME", required = false)
    private String lockername;

    @ApiModelProperty(value = "LOCKTAG_", notes = "LOCKTAG", required = false)
    private String locktag;

    @ApiModelProperty(value = "LOCKINFO_", notes = "LOCKINFO", required = false)
    private String lockinfo;

    @ApiModelProperty(value = "SUBMITDATE_", notes = "SUBMITDATE", required = false)
    private String submitdate;

    @ApiModelProperty(value = "STATE_", notes = "STATE", required = false)
    private String state;

    @ApiModelProperty(value = "PREV_APPROVER_", notes = "PREV_APPROVER", required = false)
    private String prevapprover;

    @ApiModelProperty(value = "PREV_APPROVERNAME_", notes = "PREV_APPROVERNAME", required = false)
    private String prevapprovername;

    @ApiModelProperty(value = "NEXT_APPROVER_", notes = "NEXT_APPROVER", required = false)
    private String nextapprover;

    @ApiModelProperty(value = "NEXT_APPROVERNAME_", notes = "NEXT_APPROVERNAME", required = false)
    private String nextapprovername;

    @ApiModelProperty(value = "NEXT_STATE_", notes = "NEXT_STATE", required = false)
    private String nextstate;

    @ApiModelProperty(value = "TAG_", notes = "TAG", required = false)
    private String tag;

    @ApiModelProperty(value = "APPROVE_INSTANCE", notes = "APPROVE_INSTANCE", required = false)
    private String approveinstance;

    @ApiModelProperty(value = "upid0", notes = "upid0", required = false)
    private String upid0;

    @ApiModelProperty(value = "upid1", notes = "upid1", required = false)
    private String upid1;

    @ApiModelProperty(value = "upid2", notes = "upid2", required = false)
    private String upid2;

    @ApiModelProperty(value = "upid3", notes = "upid3", required = false)
    private String upid3;

    @ApiModelProperty(value = "upid4", notes = "upid4", required = false)
    private String upid4;

    @ApiModelProperty(value = "upid5", notes = "upid5", required = false)
    private String upid5;

    @ApiModelProperty(value = "upid6", notes = "upid6", required = false)
    private String upid6;

    @ApiModelProperty(value = "upid7", notes = "upid7", required = false)
    private String upid7;

    @ApiModelProperty(value = "upid8", notes = "upid8", required = false)
    private String upid8;

    @ApiModelProperty(value = "upid9", notes = "upid9", required = false)
    private String upid9;

    @ApiModelProperty(value = "B1", notes = "B1", required = false)
    private String B1;

    @ApiModelProperty(value = "B2", notes = "B2", required = false)
    private String B2;

    @ApiModelProperty(value = "B3", notes = "B3", required = false)
    private String B3;

    @ApiModelProperty(value = "B4", notes = "B4", required = false)
    private String B4;

    @ApiModelProperty(value = "B5", notes = "B5", required = false)
    private String B5;

    @ApiModelProperty(value = "B6", notes = "B6", required = false)
    private String B6;

    @ApiModelProperty(value = "B7", notes = "B7", required = false)
    private String B7;

    @ApiModelProperty(value = "B8", notes = "B8", required = false)
    private String B8;

    @ApiModelProperty(value = "B9", notes = "B9", required = false)
    private String B9;

    @ApiModelProperty(value = "B10", notes = "B10", required = false)
    private String B10;


}
