package com.unis.ynls.irpt.common.VO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
//import javax.persistence.Column;

/**
 * @Author ChenKai
 * @Date 2019/9/29 16:06
 * @Version 1.0
 */

@Getter
@Setter
@ToString
@ApiModel(value="粮油产业经济统计年报vo",description="粮油产业经济统计年报vo")
public class EconomicVO {

    //C10工业总产值万元本年——
    private String gyzcz;

    //C13主营业务收入万元本年——
    private String zyywsr;

    //C14销售收入万元本年——
    private String xssr;

    //销售成本
    private String xscb;

    //C17利润总额万元本年——
    private String lrze;

    //BBQ_年度
    @ApiModelProperty(value = "BBQ_")
    //@Column(name = "BBQ_")
    private String nd;

    //年度季度名称(2019年第三季度)
    private String ndmc;

    //USERNAME_单位名称
    @ApiModelProperty(value = "USERNAME_")
    //@Column(name = "USERNAME_")
    private String dwmc;

    //国家财政总预算
    private String gjczzys;

    //当年国家财政拨款
    private String dngjczbk;

    //地方财政拨款
    private String dfczbk;

    //单位自筹
    private String dwzc;

    //名称
    private String mc;

    //标题
    private String bt;

    //状态 1未上报 0已上报
    private String status;

    //已完成投资额
    private String ywctze;

    //投资总额
    private String tzze;

    /**
     * 类别  1是粮食产业经济统计年报
     *      2是粮油加工转化企业季报
     *      3是粮油加工转化企业年度表
     *      4是粮油科技基本情况年报
     */
    @ApiModelProperty(value = "类别")
    private Integer lb;

    //统一社会信用代码
    private String tyshxydm;


}
