package com.unis.ynls.irpt.common.VO.Report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * 损耗计算
 */
@Getter
@Setter
@ToString
@ApiModel(value="市储备油业务管理表（自动生成））",description="市储备油业务管理表（自动生成）")
public class OilReserveQueryVO {

    @ApiModelProperty(value = "填报期数")
    private String tbqs;
    @ApiModelProperty(value = "单位名称")
    private String dwmc;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最小值")
    private Date tbsjMin;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "填报时间最大值")
    private Date tbsjMax;
    @ApiModelProperty(value = "状态")
    private Integer zt;
    @ApiModelProperty(value = "合计最小值")
    private BigDecimal hjMin;
    @ApiModelProperty(value = "合计最大值")
    private BigDecimal hjMax;
    @ApiModelProperty(value = "大豆原油最小值")
    private BigDecimal ddyyMin;
    @ApiModelProperty(value = "大豆原油最大值")
    private BigDecimal ddyyMax;
    @ApiModelProperty(value = "一级豆油最小值")
    private BigDecimal yjdyMin;
    @ApiModelProperty(value = "一级豆油最大值")
    private BigDecimal yjdyMax;
}
