package com.unis.ynls.irpt.common.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/10/18 10:55
 * @Version 1.0
 */

@Getter
@Setter
@ToString
@ApiModel(value="安全生产与安全储量vo",description="安全生产与安全储量vo")
public class SafetyVO {

    //日期
    private String rq;

    //统一社会信用代码
    private String tyshxydm;

    //企业名称
    private String qymc;

    //企业性质
    private String qyxz;

    //企业类型
    private String qylx;

    //企业主要业务
    private String qyzyyw;

    //办公地址
    private String bgdz;

    //创建时间
    private String createTime;

    //企业负责人
    private String qyfzr;

    //联系方式
    private String lxfs;

    //单据状态(0是保存1是已提交)
    private Integer djzt;

    //安全储量检查清单
    private String aqcljcqd;

    //安全储量检查情况底稿
    private String aqcljcqkdg;

    //安全生产检查清单
    private String aqscjcqd;

    //安全生产检查情况底稿
    private String aqscjcqkdg;

    //安全储量情况汇总表
    private String aqclqkhzb;

    //安全生产检查情况汇总表
    private String aqscjcqkhzb;
}
