package com.unis.ynls.irpt.common.VO;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
/**
 * @version1.0
 * @author 张琪
 *
 */
@Getter
@Setter
@ToString
@ApiModel(value="执法督查机构、人员和经费情况统计表",description="执法督查机构、人员和经费情况统计表")
public class StatisticalQueryVO {

	/**
	 * 上报开始时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "上报开始时间")
	private Date sbkssjDate;
    
    /**
     * 上报开始时间
     */
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "上报结束时间")
    private Date sbjssjDate;
}
