package com.unis.ynls.irpt.common.VO;
import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author 张琪
 *@version1.0
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@ApiModel(value="执法督查机构、人员和经费情况统计表",description="执法督查机构、人员和经费情况统计表维护")
public class StatisticalVO extends BaseVO {
    //统一社会信用代码
		private String tyshxydm;
	 //BBQ_年度报表期
		@ApiModelProperty(value = "BBQ_", notes = "BBQ_年度", required = false)
		private String bbq;
		
	    //报表户代码
		@ApiModelProperty(value = "USERID_", notes = "USERID_单位名称ID", required = false)
		private String userid;

		//报表户类型,0基层户，9汇总户
		@ApiModelProperty(value = "BTYPE_", notes = "BTYPE", required = false)
		private String btype;
		
		//本表审核标记，0表示未审核通过，1表示审核通过
		@ApiModelProperty(value = "SHTAG", notes = "SHTAG", required = false)
		private String shtag;

		//本表合理性审核标记，0表示未审核，1表示审核通过
		@ApiModelProperty(value = "SHTAG2_", notes = "SHTAG2", required = false)
		private String shtag2;
		
		//报表户逻辑性审核字段,0表示未审核通过，1表示审  核通过
		@ApiModelProperty(value = "OPTION_", notes = "OPTION", required = false)
		private String option;
		
		
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal o3;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
		private BigDecimal p3;
	 	
		@ApiModelProperty(value = "", notes = "", required = false)
		private BigDecimal q3;
		
		@ApiModelProperty(value = "", notes = "", required = false)
		private BigDecimal b4;
		
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal c4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal d4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal e4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal f4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal g4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal h4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal i4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal j4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal k4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal l4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal m4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal n4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
	 	private BigDecimal o4;
	 	
	 	@ApiModelProperty(value = "", notes = "", required = false)
		private BigDecimal p4;
	 	
		@ApiModelProperty(value = "", notes = "", required = false)
		private BigDecimal q4;
		
		@ApiModelProperty(value = "", notes = "", required = false)
		private BigDecimal b5;
		
		@ApiModelProperty(value = "", notes = "", required = false)
		private BigDecimal b6;
		
		//**********************************粮食部门人员编制情况 *************************************
		
		@ApiModelProperty(value = "C5总计1行政区数（个）1", notes = "C5总计1行政区数（个）1", required = false)
		private BigDecimal c5;

		@ApiModelProperty(value = "D5总计1粮食行政管理部门数（个）机构编制合计2", notes = "D5总计1粮食行政管理部门数（个）机构编制合计2", required = false)
		private BigDecimal d5;

		@ApiModelProperty(value = "E5总计1粮食行政管理部门数（个）机构编制行政编制3", notes = "E5总计1粮食行政管理部门数（个）机构编制行政编制3", required = false)
		private BigDecimal e5;

		@ApiModelProperty(value = "F5总计1粮食行政管理部门数（个）机构编制事业编制4", notes = "F5总计1粮食行政管理部门数（个）机构编制事业编制4", required = false)
		private BigDecimal f5;

		
		//**********************************粮食部门内设执法督查机构情况 *************************************
		
		@ApiModelProperty(value = "G5总计1粮食行政管理部门内设监督检查机构数（个）合计5", notes = "G5总计1粮食行政管理部门内设监督检查机构数（个）合计5", required = false)
		private BigDecimal g5;

		@ApiModelProperty(value = "H5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", notes = "H5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", required = false)
		private BigDecimal h5;

		@ApiModelProperty(value = "I5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", notes = "I5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", required = false)
		private BigDecimal i5;

		@ApiModelProperty(value = "J5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", notes = "J5总计1粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", required = false)
		private BigDecimal j5;

		@ApiModelProperty(value = "K5总计1粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", notes = "K5总计1粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", required = false)
		private BigDecimal k5;

		
		//**********************************具备行政执法（监督检查）资格人数 *************************************
		
		@ApiModelProperty(value = "L5总计1已获得监督检查行政执法资格的人数（人）合计10", notes = "L5总计1已获得监督检查行政执法资格的人数（人）合计10", required = false)
		private BigDecimal l5;

		@ApiModelProperty(value = "M5总计1已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", notes = "M5总计1已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", required = false)
		private BigDecimal m5;

		//**********************************执法督查经费落实情况 *************************************
		
		@ApiModelProperty(value = "N5总计1监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", notes = "N5总计1监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", required = false)
		private BigDecimal n5;

		@ApiModelProperty(value = "O5总计1监督检查专项经费落实情况已落实经费金额（万元）13", notes = "O5总计1监督检查专项经费落实情况已落实经费金额（万元）13", required = false)
		private BigDecimal o5;
		
		
		
		//**********************************粮食行政机构设置情况 *************************************
		
		@ApiModelProperty(value = "P5总计1粮食行政机构设置情况 ", notes = "P5总计1粮食行政机构设置情况 ", required = false)
		private BigDecimal p5;
		
		@ApiModelProperty(value = "Q5独立机构粮食行政机构设置情况 ", notes = "Q5独立机构粮食行政机构设置情况 ", required = false)
		private BigDecimal q5;
		
		@ApiModelProperty(value = "R5加挂牌子粮食行政机构设置情况 ", notes = "R5加挂牌子粮食行政机构设置情况 ", required = false)
		private BigDecimal r5;
		
		@ApiModelProperty(value = "S5职能整合入其他部门粮食行政机构设置情况 ", notes = "S5职能整合入其他部门粮食行政机构设置情况 ", required = false)
		private BigDecimal s5;
		
		
		//********************************** 省 *************************************
		
		@ApiModelProperty(value = "C6省（区、市）级2行政区数（个）1", notes = "C6省（区、市）级2行政区数（个）1", required = false)
		private BigDecimal c6;

		@ApiModelProperty(value = "D6省（区、市）级2粮食行政管理部门数（个）机构编制合计2", notes = "D6省（区、市）级2粮食行政管理部门数（个）机构编制合计2", required = false)
		private BigDecimal d6;

		@ApiModelProperty(value = "E6省（区、市）级2粮食行政管理部门数（个）机构编制行政编制3", notes = "E6省（区、市）级2粮食行政管理部门数（个）机构编制行政编制3", required = false)
		private BigDecimal e6;

		@ApiModelProperty(value = "F6省（区、市）级2粮食行政管理部门数（个）机构编制事业编制4", notes = "F6省（区、市）级2粮食行政管理部门数（个）机构编制事业编制4", required = false)
		private BigDecimal f6;

		
		
		@ApiModelProperty(value = "G6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）合计5", notes = "G6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）合计5", required = false)
		private BigDecimal g6;

		@ApiModelProperty(value = "H6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", notes = "H6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", required = false)
		private BigDecimal h6;

		@ApiModelProperty(value = "I6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", notes = "I6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", required = false)
		private BigDecimal i6;

		@ApiModelProperty(value = "J6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", notes = "J6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", required = false)
		private BigDecimal j6;

		@ApiModelProperty(value = "K6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", notes = "K6省（区、市）级2粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", required = false)
		private BigDecimal k6;

		
		@ApiModelProperty(value = "L6省（区、市）级2已获得监督检查行政执法资格的人数（人）合计10", notes = "L6省（区、市）级2已获得监督检查行政执法资格的人数（人）合计10", required = false)
		private BigDecimal l6;

		@ApiModelProperty(value = "M6省（区、市）级2已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", notes = "M6省（区、市）级2已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", required = false)
		private BigDecimal m6;

		
		@ApiModelProperty(value = "N6省（区、市）级2监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", notes = "N6省（区、市）级2监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", required = false)
		private BigDecimal n6;

		@ApiModelProperty(value = "O6省（区、市）级2监督检查专项经费落实情况已落实经费金额（万元）13", notes = "O6省（区、市）级2监督检查专项经费落实情况已落实经费金额（万元）13", required = false)
		private BigDecimal o6;

		
		@ApiModelProperty(value = "P6总计1粮食行政机构设置情况 ", notes = "P6总计1粮食行政机构设置情况 ", required = false)
		private BigDecimal p6;
		
		@ApiModelProperty(value = "Q6独立机构粮食行政机构设置情况 ", notes = "Q6独立机构粮食行政机构设置情况 ", required = false)
		private BigDecimal q6;
		
		@ApiModelProperty(value = "R6加挂牌子粮食行政机构设置情况 ", notes = "R6加挂牌子粮食行政机构设置情况 ", required = false)
		private BigDecimal r6;
		
		@ApiModelProperty(value = "S6职能整合入其他部门粮食行政机构设置情况 ", notes = "S6职能整合入其他部门粮食行政机构设置情况 ", required = false)
		private BigDecimal s6;
		
		//********************************** 地区 *************************************
		@ApiModelProperty(value = "C7地（市）级3行政区数（个）1", notes = "C7地（市）级3行政区数（个）1", required = false)
		private String c7;

		@ApiModelProperty(value = "D7地（市）级3粮食行政管理部门数（个）机构编制合计2", notes = "D7地（市）级3粮食行政管理部门数（个）机构编制合计2", required = false)
		private BigDecimal d7;

		@ApiModelProperty(value = "E7地（市）级3粮食行政管理部门数（个）机构编制行政编制3", notes = "E7地（市）级3粮食行政管理部门数（个）机构编制行政编制3", required = false)
		private BigDecimal e7;

		@ApiModelProperty(value = "F7地（市）级3粮食行政管理部门数（个）机构编制事业编制4", notes = "F7地（市）级3粮食行政管理部门数（个）机构编制事业编制4", required = false)
		private BigDecimal f7;

		
		@ApiModelProperty(value = "G7地（市）级3粮食行政管理部门内设监督检查机构数（个）合计5", notes = "G7地（市）级3粮食行政管理部门内设监督检查机构数（个）合计5", required = false)
		private String g7;

		@ApiModelProperty(value = "H7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", notes = "H7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", required = false)
		private BigDecimal h7;

		@ApiModelProperty(value = "I7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", notes = "I7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", required = false)
		private BigDecimal i7;

		@ApiModelProperty(value = "J7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", notes = "J7地（市）级3粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", required = false)
		private BigDecimal j7;

		@ApiModelProperty(value = "K7地（市）级3粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", notes = "K7地（市）级3粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", required = false)
		private String k7;

		
		
		@ApiModelProperty(value = "L7地（市）级3已获得监督检查行政执法资格的人数（人）合计10", notes = "L7地（市）级3已获得监督检查行政执法资格的人数（人）合计10", required = false)
		private BigDecimal l7;

		@ApiModelProperty(value = "M7地（市）级3已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", notes = "M7地（市）级3已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", required = false)
		private BigDecimal m7;

		
		
		@ApiModelProperty(value = "N7地（市）级3监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", notes = "N7地（市）级3监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", required = false)
		private BigDecimal n7;

		@ApiModelProperty(value = "O7地（市）级3监督检查专项经费落实情况已落实经费金额（万元）13", notes = "O7地（市）级3监督检查专项经费落实情况已落实经费金额（万元）13", required = false)
		private String o7;

		
		@ApiModelProperty(value = "P7总计1粮食行政机构设置情况 ", notes = "P7总计1粮食行政机构设置情况 ", required = false)
		private BigDecimal p7;
		
		@ApiModelProperty(value = "Q7独立机构粮食行政机构设置情况 ", notes = "Q7独立机构粮食行政机构设置情况 ", required = false)
		private BigDecimal q7;
		
		@ApiModelProperty(value = "R7加挂牌子粮食行政机构设置情况 ", notes = "R7加挂牌子粮食行政机构设置情况 ", required = false)
		private BigDecimal r7;
		
		@ApiModelProperty(value = "S7职能整合入其他部门粮食行政机构设置情况 ", notes = "S7职能整合入其他部门粮食行政机构设置情况 ", required = false)
		private BigDecimal s7;
		
		//********************************** 县级 *************************************
		@ApiModelProperty(value = "C8县（市）级4行政区数（个）1", notes = "C8县（市）级4行政区数（个）1", required = false)
		private BigDecimal c8;

		@ApiModelProperty(value = "D8县（市）级4粮食行政管理部门数（个）机构编制合计2", notes = "D8县（市）级4粮食行政管理部门数（个）机构编制合计2", required = false)
		private BigDecimal d8;

		@ApiModelProperty(value = "E8县（市）级4粮食行政管理部门数（个）机构编制行政编制3", notes = "E8县（市）级4粮食行政管理部门数（个）机构编制行政编制3", required = false)
		private BigDecimal e8;

		@ApiModelProperty(value = "F8县（市）级4粮食行政管理部门数（个）机构编制事业编制4", notes = "F8县（市）级4粮食行政管理部门数（个）机构编制事业编制4", required = false)
		private BigDecimal f8;

		@ApiModelProperty(value = "G8县（市）级4粮食行政管理部门内设监督检查机构数（个）合计5", notes = "G8县（市）级4粮食行政管理部门内设监督检查机构数（个）合计5", required = false)
		private BigDecimal g8;

		@ApiModelProperty(value = "H8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", notes = "H8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立合计6", required = false)
		private BigDecimal h8;

		@ApiModelProperty(value = "I8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", notes = "I8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立独立设立监督检查处（科、股）7", required = false)
		private BigDecimal i8;

		@ApiModelProperty(value = "J8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", notes = "J8县（市）级4粮食行政管理部门内设监督检查机构数（个）编办批准成立加挂监督检查处（科、股）牌子8", required = false)
		private BigDecimal j8;

		@ApiModelProperty(value = "K8县（市）级4粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", notes = "K8县（市）级4粮食行政管理部门内设监督检查机构数（个）粮食行政管理部门内部调整组建的独立监督检查处（科、股）9", required = false)
		private BigDecimal k8;

		@ApiModelProperty(value = "L8县（市）级4已获得监督检查行政执法资格的人数（人）合计10", notes = "L8县（市）级4已获得监督检查行政执法资格的人数（人）合计10", required = false)
		private BigDecimal l8;

		@ApiModelProperty(value = "M8县（市）级4已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", notes = "M8县（市）级4已获得监督检查行政执法资格的人数（人）其中：获得粮食监督检查证的人数11", required = false)
		private BigDecimal m8;

		@ApiModelProperty(value = "N8县（市）级4监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", notes = "N8县（市）级4监督检查专项经费落实情况已落实经费的粮食行政管理部门数（个）12", required = false)
		private BigDecimal n8;

		@ApiModelProperty(value = "O8县（市）级4监督检查专项经费落实情况已落实经费金额（万元）13", notes = "O8县（市）级4监督检查专项经费落实情况已落实经费金额（万元）13", required = false)
		private BigDecimal o8;
		
		@ApiModelProperty(value = "P8总计1粮食行政机构设置情况 ", notes = "P8总计1粮食行政机构设置情况 ", required = false)
		private BigDecimal p8;
		
		@ApiModelProperty(value = "Q8独立机构粮食行政机构设置情况 ", notes = "Q8独立机构粮食行政机构设置情况 ", required = false)
		private BigDecimal q8;
		
		@ApiModelProperty(value = "R8加挂牌子粮食行政机构设置情况 ", notes = "R8加挂牌子粮食行政机构设置情况 ", required = false)
		private BigDecimal r8;
		
		@ApiModelProperty(value = "S8职能整合入其他部门粮食行政机构设置情况 ", notes = "S8职能整合入其他部门粮食行政机构设置情况 ", required = false)
		private BigDecimal s8;
		
		@ApiModelProperty(value = "上报时间", notes = "上报时间", required = false)
		private Date submitDate;

}
