package com.unis.ynls.irpt.common.VO.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮出入库费补贴申请明细表")
public class OutInSubsidyDetailVO {

    @ApiModelProperty(value = "ID")
    private String id;

    //主表id
    @ApiModelProperty(value = "主表id")
    private String oisId;

    //合同编号
    @ApiModelProperty(value = "合同编号")
    private String htbh;

    //品种名称
    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //品种编码
    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "sl")
    private BigDecimal sl;

    //补贴标准
    @ApiModelProperty(value = "fl")
    private BigDecimal fl;

    //本月应补金额
    @ApiModelProperty(value = "补贴金额")
    private BigDecimal je;

}
