package com.unis.ynls.irpt.common.VO.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮油进销存报表-明细表")
public class PurchaseStockDetailVO {


    @ApiModelProperty(value = "ID")
    private String id;

    //主表id
    @ApiModelProperty(value = "主表id")
    private String psId;

    //品种名称
    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //品种编码
    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    //期初库存
    @ApiModelProperty(value = "期初库存")
    private BigDecimal initial;

    //采购
    @ApiModelProperty(value = "采购")
    private BigDecimal purchase;

    //其他收入
    @ApiModelProperty(value = "其他收入")
    private BigDecimal otherIncome;

    //收入合计
    @ApiModelProperty(value = "收入合计")
    private BigDecimal incomeTotal;

    //销售
    @ApiModelProperty(value = "销售")
    private BigDecimal sale;

    //损耗
    @ApiModelProperty(value = "损耗")
    private BigDecimal loss;

    //其他支出
    @ApiModelProperty(value = "其他支出")
    private BigDecimal otherExpense;

    //支出合计
    @ApiModelProperty(value = "支出合计")
    private BigDecimal expenseTotal;

    //期末库存
    @ApiModelProperty(value = "期末库存")
    private BigDecimal ending;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    //类型编码
    @ApiModelProperty(value = "类型编码")
    private String typeCode;

}
