package com.unis.ynls.irpt.common.VO.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮油储存费用补贴申请明细表")
public class StorageSubsidyDetailVO {

    @ApiModelProperty(value = "ID")
    private String id;

    //主表id
    @ApiModelProperty(value = "主表id")
    private String ssId;

    //品种名称
    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //品种编码
    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    //年初未补金额
    @ApiModelProperty(value = "年初未补金额")
    private BigDecimal ncwb;

    //上月期末库存
    @ApiModelProperty(value = "上月期末库存")
    private BigDecimal syyqmkc;

    //补贴标准
    @ApiModelProperty(value = "补贴标准")
    private BigDecimal btbz;

    //本月应补金额
    @ApiModelProperty(value = "本月应补金额")
    private BigDecimal byyb;

    //本年累计应补金额
    @ApiModelProperty(value = "本年累计应补金额")
    private BigDecimal bnljygb;

    //本年累计已补金额
    @ApiModelProperty(value = "本年累计已补金额")
    private BigDecimal bnljyb;

    //期末未补金额
    @ApiModelProperty(value = "期末未补金额")
    private BigDecimal qmwb;

    //类型编码
    @ApiModelProperty(value = "类型编码")
    private String typeCode;

}
