package com.unis.ynls.irpt.common.VO.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮油储存费用补贴-汇总明细表表")
public class StorageSubsidySummaryDetailVO {

    //id
    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "sssId")
    private String sssId;

    //承储企业编码
    @ApiModelProperty(value = "承储企业编码")
    private String ccqybm;

    //承储企业编码
    @ApiModelProperty(value = "承储企业名称")
    private String ccqy;

    //储存费
    @ApiModelProperty(value = "储存费")
    private BigDecimal ccf;

    //储存费
    @ApiModelProperty(value = "储备粮储存费小计")
    private BigDecimal cblccf;

    //品种
    @ApiModelProperty(value = "品种")
    private String pzbm;

    //品种名称
    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    //数量
    @ApiModelProperty(value = "数量")
    private BigDecimal sl;

    //费率
    @ApiModelProperty(value = "费率")
    private BigDecimal fl;

    //金额
    @ApiModelProperty(value = "金额")
    private BigDecimal je;

    @ApiModelProperty(value = "本年累计已补")
    private BigDecimal bnljyb;

    @ApiModelProperty(value = "类型编码")
    private String typeCode;

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        StorageSubsidySummaryDetailVO other = (StorageSubsidySummaryDetailVO) obj;
        return ccqybm.equals(other.ccqybm);
    }

    @Override
    public int hashCode() {
        return ccqybm.hashCode();
    }

}
