package com.unis.ynls.irpt.common.VO.rotationreport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮轮换补贴拨付预算汇总明细表")
public class RotationSubsidySummaryDetailVO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "ID")
    private String rssId;

    @ApiModelProperty(value = "补贴申请表ID")
    private String rsId;

    //库点编码
    @ApiModelProperty(value = "承储企业名称")
    private String ccqy;

    //库点名称
    @ApiModelProperty(value = "承储企业编码")
    private String ccqybm;

    @ApiModelProperty(value = "生产年份")
    private String scnf;

    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    @ApiModelProperty(value = "实际轮换数量")
    private BigDecimal sjlhsl;

    @ApiModelProperty(value = "费率")
    private BigDecimal fl;

    @ApiModelProperty(value = "储存期")
    private BigDecimal ccq;

    @ApiModelProperty(value = "应拨付轮换补贴")
    private BigDecimal ygbflhbt;

    @ApiModelProperty(value = "本次预拨金额")
    private BigDecimal bcybje;

    @ApiModelProperty(value = "清算预拨金额")
    private BigDecimal qsybje;
}
