package com.unis.ynls.irpt.common.VO.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 
 * @ClassName: IrptAllocationVO 
 * @Description: 权限分配irpt VO 
 * @author xmpu
 * @date 2019年5月14日 下午4:16:29 
 * 
 * @version v1.0
 */
@Getter
@Setter
@ToString
@ApiModel(value = "报表基本信息",description = "报表基本信息")
public class IrptAllocationVO {

    //@Id
	@ApiModelProperty(value = "主键，编号")
    private String id;

	@ApiModelProperty(value = "报表自定义代码")
    private String rptCode;

	@ApiModelProperty(value = "报表名称")
    private String rptName;

	@ApiModelProperty(value = "报表类别")
    private String rptCategory;

	@ApiModelProperty(value = "报表真实代码")
    private String rptId;
    
	@ApiModelProperty(value = "报表期类型")
    private String bbqType;
    
	@ApiModelProperty(value = "粮食业务类型")
    private String businessType;
    
	@ApiModelProperty(value = "填报状态：1正常填报0停止填报")
    private String isEnable;
    
	@ApiModelProperty(value = "填报单位：10企业、20粮食局、30企业和粮食局均填报、40质检单位")
    private String fullUnit;
    
	@ApiModelProperty(value = "是否统计：1统计0不统计")
    private String isStatistics;
    
	@ApiModelProperty(value = "是否需要任务分配：1分配0不分配")
    private String isAllocate;
    
	@ApiModelProperty(value = "创建人id")
    private String createBy;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;

	@ApiModelProperty(value = "修改人")
    private String updateBy;
    
	@ApiModelProperty(value = "修改时间")
    private Date updateTime;

	@ApiModelProperty(value = "删除人")
    private String deleteBy;
    
	@ApiModelProperty(value = "删除时间")
    private Date deleteTime;
    
	@ApiModelProperty(value = "组织机构id")
    private String orgId;
    
	@ApiModelProperty(value = "部门ID")
    private String deptId;
    
	@ApiModelProperty(value = "行政区划")
    private String areacode;
	
	@ApiModelProperty(value = "报表工作流key")
    private String rptKey;

}