package com.unis.ynls.irpt.common.VO.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: OrgVO
 * @Description: IRPT机构用户--组织机构
 * @author liyb
 * @date 2018-11-07 13:41:24
 * @version v1.0
 */
@Getter
@Setter
@ToString
@ApiModel(value = "IRPT机构用户--组织机构",description = "IRPT机构用户--组织机构")
public class OrgVO {
    @ApiModelProperty(value = "机构代码",required = true)
    private String orgId;
    @ApiModelProperty(value = "机构名称",required = true)
    private String orgName;
    @ApiModelProperty(value = "上级机构代码",required = true)
    private String parent;
    @ApiModelProperty(value = "机构负责人")
    private String governor;
    @ApiModelProperty(value = "电话")
    private String tel;
    @ApiModelProperty(value = "企业所在地行政区划，【企业必传】")
    private String xzqhSzd;
    @ApiModelProperty(value = "是否为基层机构（为空标识否）")
    private String ifBaseOrg;
}
