package com.unis.ynls.irpt.common.VO.system;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 用户角色关系 表现层对象
 *
 * @author 杨祖榕
 * @since 2019-01-07 14:04:57
 */
@Getter
@Setter
@ToString
public class UserRoleRefVO {

    /**
     * 用户编号
     */
    private String userId;

    /**
     * 用户帐号
     */
    private String userAccount;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 角色编号
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色名称的拼音
     */
    private String pyName;

}