package com.unis.ynls.irpt.common.VO.system;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: UserVO
 * @Description: IRPT机构用户--用户
 * @author liyb
 * @date 2018-11-07 13:41:24
 * @version v1.0
 */
@Getter
@Setter
@ToString
@ApiModel(value = "IRPT机构用户--用户",description = "IRPT机构用户--用户")
public class UserVO {
    @ApiModelProperty(value = "用户登录账号",required = true)
    private String account;
    @ApiModelProperty(value = "用户名称",required = true)
    private String userName;
    @ApiModelProperty(value = "用户登录密码，密码为Md5加密后",required = true)
    private String mdPassWord;
    @ApiModelProperty(value = "用户所属机构ID",required = true)
    private String orgId;
    @ApiModelProperty(value = "人员所属角色",required = true)
    private String department;
}
