package com.unis.ynls.irpt.common.VO.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @ClassName: CompanyRptFilterVO
 * @Description: 企业填写报表--筛选条件
 * @author liyb
 * @date 2019-01-29 16:51:03
 * @version v1.0
 */
@Data
@ToString
@ApiModel(value = "企业填写报表--筛选条件",description="企业填写报表--筛选条件")
public class CompanyRptFilterVO {
    @ApiModelProperty(value = "报表期",required = true)
    private String bbq;
    @ApiModelProperty(value = "报表代码",required = true)
    private String rptId;
    @ApiModelProperty(value = "企业统一社会信用代码",required = true)
    private String unitCode;
}
