package com.unis.ynls.irpt.common.VO.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @ClassName: RptListFilterVO
 * @Description: IRPT报表管理--填报信息--列表--筛选条件
 * @author liyb
 * @date 2019-03-30 14:39:44
 * @version v1.0
 */
@Data
@ToString
@ApiModel(value = "IRPT报表管理--填报信息--列表--筛选条件",description = "IRPT报表管理--填报信息--列表--筛选条件")
public class RptListFilterVO {
    @ApiModelProperty(value = "报表期")
    private String bbq;
    @ApiModelProperty(value = "I报表真实代码",required = true)
    private String rptId;
    @ApiModelProperty(value = "填报机构代码",required = true)
    private String unitCode;
    @ApiModelProperty(value = "登录用户账号",required = true)
    private String userAccount;


    @ApiModelProperty(value = "【后台获取】填报机构代码---上级集集团")
    private String unitCodeJt;
    @ApiModelProperty(value = "【后台获取】登录用户账号---上级集集团")
    private String userAccountJt;
}
