package com.unis.ynls.irpt.common.contast;

/**
 *
 * @Description:  储备粮进销存状态
 * @author LiuFeng
 * @date 2023-08-15 14:12:07
 */
public enum ReserveReportConstant {

    DSB("91000000","未上报"),
    DTJ("91000001","待提交"),
    DGZ("91000100","待盖章"),
    GZBH("91000101","盖章驳回"),

    DJS("91000200","待接收"),
    YJS("91000201","已接收"),
    JSBH("91000202","已驳回"),

    DTJSH("91000290","待提交"),
    DFH("91000300","待复核"),
    FHBH("91000301","复核驳回"),

    DCWPS("91000400","待财务领导批示"),
    CWPSBH("91000401","财务领导批示驳回"),
    DDWFZRPS("91000500","待单位负责人批示"),
    DWFZRPSBH("91000501","待单位负责人批示驳回"),

    YWC("91000600","审批完成");

    private ReserveReportConstant(String value, String name) {
        this.value = value;
        this.name = name;
    }

    private String name;

    private String value;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
