package com.unis.ynls.irpt;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import tk.mybatis.spring.annotation.MapperScan;

//@SpringBootApplication(exclude= {DataSourceAutoConfiguration.class})
@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.unis")
//@MapperScan("com.unis.ynls.irpt.server.mapper")
@org.mybatis.spring.annotation.MapperScan("com.unis.ynls.irpt.server.mapper")
@EnableScheduling
@EnableFeignClients
public class IrptServerApplication {


    public static void main(String[] args) {

        SpringApplication.run(IrptServerApplication.class, args);
        System.out.println("==================启动成功==================");
    }

}
