/**  
 * @Title:PunishmentHandDomain.java
 * @Package: com.unis.ynls.irpt.server.domain
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:25:27
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.domain;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.LsBeanUtils;
import com.unis.ynls.irpt.common.VO.PunishmentHandQueryVO;
import com.unis.ynls.irpt.common.VO.PunishmentHandVO;
import com.unis.ynls.irpt.server.entity.PunishmentHandDO;
import com.unis.ynls.irpt.server.mapper.PunishmentHandMapper;

/**
 * @ClassName: PunishmentHandDomain
 * @Description: TODO功能描述:
 * @author ZHANGQI
 * @date 2019年10月19日 下午7:25:27
 * @remark 备注:
*/
@Component
public class PunishmentHandDomain extends BaseDomain{
	@Autowired
	private PunishmentHandMapper punishmentHandMapper;
	/**
	 * @Title: findPageList
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param punishmentHandQueryVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return PageInfo<PunishmentHandVO>    返回类型
	 * @throws
	*/
	public PageInfo<PunishmentHandVO> findPageList(PunishmentHandQueryVO punishmentHandQueryVO, Integer pageNum,
			Integer pageSize) {
		PageInfo<PunishmentHandVO> pageInfoVO = new PageInfo<PunishmentHandVO>();
		PageHelper.startPage(pageNum, pageSize);
		List<PunishmentHandDO> punishmentHandDOs =  punishmentHandMapper.findPageList(punishmentHandQueryVO);
		PageInfo<PunishmentHandDO> PageInfoDO = new PageInfo<PunishmentHandDO>(punishmentHandDOs);
		LsBeanUtils.copyAllProperties(PageInfoDO,pageInfoVO);
		return pageInfoVO ;
	}
	/**
	 * @Title: punishmentHandDelete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param punishmentHandVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int punishmentHandDelete(PunishmentHandVO punishmentHandVO) {
		return punishmentHandMapper.delete(punishmentHandVO);
	}
	/**
	 * @Title: maxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param jhId
	 * @param @return    设定文件
	 * @return String    返回类型
	 * @throws
	*/
	public String maxCodeById(String jhId) {
		return this.getMaxCodeById(punishmentHandMapper.getMaxCodeById(jhId), jhId,7);
	}

}
