package com.unis.ynls.irpt.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("财务明细报表")
@Table(name = "finance_report_detail")
public class FinanceReportDetailDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "财务表id")
    @Column(name = "main_id")
    private String mainId;

    //单位名称
    @ApiModelProperty(value = "指标序号")
    @Column(name = "zbxh")
    private String zbxh;

    //库区代码
    @ApiModelProperty(value = "指标名称")
    @Column(name = "zbmc")
    private String zbmc;

    //库区名称
    @ApiModelProperty(value = "指标值1")
    @Column(name = "zbz1")
    private String zbz1;

    //报表期号
    @ApiModelProperty(value = "指标值2")
    @Column(name = "zbz2")
    private String zbz2;
}
