package com.unis.ynls.irpt.server.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@ApiModel(value = "RotatePlanProtocolDetailVo（轮换协议详情Vo）")
public class RotatePlanProtocolDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "顺序号")
    private Integer sxh;

    @ApiModelProperty(value = "轮换协议编码")
    private String lhxybm; // 轮换协议编码 XY201908290001

    @ApiModelProperty(value = "所属库点编码")
    private String sskd; // 所属库点编码

    @ApiModelProperty(value = "所属库点名称")
    private String kdmc;

    @ApiModelProperty(value = "仓房号")
    private String cfbh; // 仓房号

    @ApiModelProperty(value = "仓房号名称")
    private String cfbhmc; // 仓房号名称

    @ApiModelProperty(value = "生产年份")
    private String scnf; // 生产年份

    @ApiModelProperty(value = "轮出总量")
    private Double sqlczl; // 轮出总量(吨)

    @ApiModelProperty(value = "结算价格")
    private Double jsjg;

    @ApiModelProperty(value = "在子表新增的所属库点", notes ="需求变更,不再以主表为准")
    private String sskddm;

    @ApiModelProperty(value = "在子表新增的所属库点名称", notes ="需求变更,不再以主表为准")
    private String sskdmc;

    @ApiModelProperty(value = "粮食品种名称")
    private String lspzmc;
    @ApiModelProperty(value = "品种编码")
    private String pzbm;

    @ApiModelProperty(value = "申请数量")
    private BigDecimal applyCount;
}
