package com.unis.ynls.irpt.server.entity.reservereport;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@ApiModel("市级储备粮出入库费补贴申请明细表")
@Table(name = "sjcbly_outin_subsidy_detail")
public class OutInSubsidyDetailDO {

    @Id
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    //主表id
    @ApiModelProperty(value = "主表id")
    @Column(name = "ois_id")
    private String oisId;

    //合同编号
    @ApiModelProperty(value = "合同编号")
    @Column(name = "htbh")
    private String htbh;

    //品种名称
    @ApiModelProperty(value = "品种名称")
    @Column(name = "pzmc")
    private String pzmc;

    //品种编码
    @ApiModelProperty(value = "品种编码")
    @Column(name = "pzbm")
    private String pzbm;

    @ApiModelProperty(value = "sl")
    @Column(name = "sl")
    private BigDecimal sl;

    //补贴标准
    @ApiModelProperty(value = "fl")
    @Column(name = "fl")
    private BigDecimal fl;

    //本月应补金额
    @ApiModelProperty(value = "补贴金额")
    @Column(name = "je")
    private BigDecimal je;

}
