package com.unis.ynls.irpt.server.entity.sys;


import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * (Es10Org)实体类
 *
 * @author liyb
 * @since 2018-11-22 16:56:27
 */
@Getter
@Setter
@ToString
@Entity
@Table(name = "ES10_ORG")
public class Es10OrgDO {
    /**
     * 机构代码
     */
    @Id
    @Column(name = "ORGID_")
    private String orgid_;
    /**
     * 机构名称
     */
    @Column(name = "CAPTION_")
    private String caption_;
    /**
     * 上级机构代码
     */
    @Column(name = "PARENT_")
    private String parent_;
    /**
     * 是否基层单位，'9'表示汇总单位，'0'表示基层单位
     */
    @Column(name = "ISJC_")
    private String isjc_;
    /**
     * 是否可用，1表示可用，0表示不可用
     */
    @Column(name = "ENABLED_")
    private String enabled_;
    /**
     * 机构负责人
     */
    @Column(name = "GOVERNOR_")
    private String governor_;
    /**
     * 电话
     */
    @Column(name = "TEL_")
    private String tel_;
    /**
     * 描述
     */
    @Column(name = "DESCRIPTION_")
    private String description_;
    /**
     * 创建日期
     */
    @Column(name = "CREATEDATE_")
    private Date createdate_;
        
    @Column(name = "LOCKED_")
    private String locked_;
        
    @Column(name = "UPID0_")
    private String upid0_;
        
    @Column(name = "UPID1_")
    private String upid1_;
        
    @Column(name = "UPID2_")
    private String upid2_;
        
    @Column(name = "UPID3_")
    private String upid3_;
        
    @Column(name = "UPID4_")
    private String upid4_;
        
    @Column(name = "UPID5_")
    private String upid5_;
        
    @Column(name = "UPID6_")
    private String upid6_;
        
    @Column(name = "UPID7_")
    private String upid7_;
        
    @Column(name = "UPID8_")
    private String upid8_;
        
    @Column(name = "UPID9_")
    private String upid9_;
        
    @Column(name = "BTYPE_")
    private String btype_;
    /**
     * 企业所在地址行政区划
     */
    @Column(name = "XZQH_SZD")
    private String xzqhSzd;
}