package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.Report.*;
import com.unis.ynls.irpt.common.VO.reservereport.DivideSelectVO;
import com.unis.ynls.irpt.server.entity.DividedAllDo;
import com.unis.ynls.irpt.server.entity.DividedByYearDo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;
import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

@Mapper
@Repository
public interface DividedByYearMapper {
    List<DividedByYearVO> selectDetails(String hzqs);

    void insertBatch(List<DividedByYearVO> list);


    Set<DivideStatusVO> selectStatus();

    void deleteAll();


    List<DividedByYearVO> selectBatchDetail();

    List<DividedByYearVO> selectTiaoDetail();

    List<DividedAllVO> selectmai(String hzqs);


    List<DividedAllVO> selectheji(String hzqs);

    List<DividedAllVO> selectdao(String hzqs);



    List<DividedAllVO> selectmian(String hzqs);


    List<DividedAllVO> selectmi(String hzqs);

    void insertmi(List<DividedAllVO> maiList);

    List<DividedAllVO> selectFeiAllDetail(String hzqs);

    void deleteZongAll(String hzqs);

    List<DividedAllVO> selectTiaomai();

    void insertTiaoMai(List<DividedAllVO> maiList);

    List<DividedAllVO> selectheTiaoji();

    void insertTiaoheji(List<DividedAllVO> hejiList);

    List<DividedAllVO> selectTiaodao();

    void insertTiaodao(List<DividedAllVO> daoList);

    List<DividedAllVO> selectTiaomian();

    void insertTiaomian(List<DividedAllVO> mianList);

    List<DividedAllVO> selectTiaomi();

    void insertTiaomi(List<DividedAllVO> miList);

    List<DividedAllVO> selectTiaoAllDetail(String hzqs);

    void deleteTiaoZongAll();

    List<BigDecimal> selectFeiDivideDetails();

    List<DividedByYearDo> selectTiaoDivideDetails();

    List<BigDecimal> selectTDivideDetails();

    List<BigDecimal> selectZongDivideDetails();

    List<BigDecimal> selectZong();

    void insertzb(DividedVO dividedVO);

    List<DividedVO> selectAll(DivideSelectVO divideSelectVO);

    void deleteOne(String hzqs);

    List<DividedVO> selectAllCount();

    List<DividePageVO> selectName();



    List<DividedByYearVO> selectDetails1(String hzqs);

    List<DividedByYearVO> selectDetails2(String hzqs);

    List<DividedByYearVO> selectDetails3(String hzqs);

    List<DividedByYearVO> selectDetails4(String hzqs);

    List<DividedByYearVO> selectDetails5(String hzqs);

    List<DividedByYearVO> selectDetails6(String hzqs);

    List<DividedByYearVO> selectDetails7(String hzqs);

    List<DividedByYearVO> selectDetails8(String hzqs);

    List<DividedByYearVO> selectDetails9(String hzqs);

    List<DividedByYearVO> selectDetails10(String hzqs);

    List<DividedByYearVO> selectDetails11(String hzqs);

    List<DividedByYearVO> selectDetailsT(String hzqs);

    List<DividedByYearVO> selectDetailsT1(String hzqs);

    List<DividedByYearVO> selectDetailsT2(String hzqs);

    List<DividedByYearVO> selectDetailsT3(String hzqs);

    List<DividedByYearVO> selectDetailsT4(String hzqs);

    List<DividedByYearVO> selectDetailsT5(String hzqs);

    List<DividedByYearVO> selectDetailsT6(String hzqs);

    List<DividedByYearVO> selectDetailsT7(String hzqs);

    List<DividedByYearVO> selectDetailsT8(String hzqs);

    List<DividedByYearVO> selectDetailsT9(String hzqs);

    List<DividedByYearVO> selectDetailsT10(String hzqs);

    List<DividedByYearVO> selectDetailsT11(String hzqs);

    void deletesome(String hzqs);

    List<DividedByYearVO> selectmore(String hzqs);

    void deleteSome(String hzqs);

    List<DividedByYearVO> selectMore(String hzqs);

    void insertBaMore(List<DividedByYearVO> list);

    List<DividedAllVO> selectTmai(String hzqs);

    List<DividedAllVO> selectTheji(String hzqs);

    List<DividedAllVO> selectTdao(String hzqs);

    List<DividedAllVO> selectTmian(String hzqs);

    List<DividedAllVO> selectTmi(String hzqs);

    void deleteZongTAll(String hzqs);

    List<DividedAllVO> selectAmai(String hzqs);

    List<DividedAllVO> selectAheji(String hzqs);

    List<DividedAllVO> selectAdao(String hzqs);

    List<DividedAllVO> selectAmian(String hzqs);

    List<DividedAllVO> selectAmi(String hzqs);

    void insertAll(List<DividedAllVO> maiList);

    List<DividedAllVO> selectAlls(String hzqs);

    void deletesAll(String hzqs);

    List<DividedAllVO> selectdadou(String hzqs);

    List<DividedAllVO> selectAdadou(String hzqs);

    List<DividedAllVO> selectTdadou(String hzqs);

    List<DividedVO> seeAll(String hzqs);

    DividedVO seeAllOne(String hzqs);

    void setHzqs(String hzqs);

    DivideCountVO seeAlls(String hzqs);

    DivideCountAllVO seeCAlls(String hzqs);

//    List<DividedVO> selectAll();
}
