package com.unis.ynls.irpt.server.mapper;


import com.unis.ynls.irpt.common.VO.EconomicVO;
import com.unis.ynls.irpt.common.VO.ProductionVO;
import com.unis.ynls.irpt.common.VO.SafetyQueryVO;
import com.unis.ynls.irpt.common.VO.reservereport.PurchaseStockQueryVO;
import com.unis.ynls.irpt.common.VO.reservereport.PurchaseStockVO;
import com.unis.ynls.irpt.server.entity.reservereport.PurchaseStockDO;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface PurchaseStockMapper extends Mapper<PurchaseStockDO> {

    List<PurchaseStockDO> selectByQuery(PurchaseStockQueryVO queryVO);

    PurchaseStockDO selectById(@Param("id") String id);

    List<PurchaseStockVO> selectPurchaseStockVOByQuery(PurchaseStockQueryVO queryVO);

    List<PurchaseStockVO> selectListByQuery(PurchaseStockQueryVO queryVO);

    int updateSummaryStatus(@Param("period")String period,@Param("summaryStatus") Integer summaryStatus);

}
