package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.rotationreport.RotationSubsidyDetailVO;
import com.unis.ynls.irpt.server.entity.rotationreport.RotationSubsidyDetailDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface RotationSubsidyDetailMapper extends Mapper<RotationSubsidyDetailDO> {

    int insertBatch(List<RotationSubsidyDetailDO> detailList);

    int deleteByRsId(@Param("rsId") String rsId);

    int deleteByRsIdAndSjlx(@Param("rsId")String rsId, @Param("sjlx")Integer sjlx);

    List<RotationSubsidyDetailDO> selectByRsIdAndSjlx(@Param("rsId")String rsId, @Param("sjlx")Integer sjlxBudget);
}
