package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.reservereport.StorageSubsidyQueryVO;
import com.unis.ynls.irpt.common.VO.reservereport.StorageSubsidyVO;
import com.unis.ynls.irpt.server.entity.reservereport.StorageSubsidyDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;


@Repository
public interface StorageSubsidyMapper extends Mapper<StorageSubsidyDO> {
    List<StorageSubsidyDO> selectByQuery(StorageSubsidyQueryVO queryVO);

    StorageSubsidyDO selectById(@Param("id") String id);

    int updateSummaryStatus(@Param("period") String period, @Param("summaryStatus") Integer summaryStatus);

    List<StorageSubsidyVO> selectListByQuery(StorageSubsidyQueryVO queryVO);

    List<StorageSubsidyVO> selectListByQuery1(StorageSubsidyQueryVO queryVO);

    List<StorageSubsidyDO> selectByPeriod(@Param("dataType")Integer dataType, @Param("period") String period);

    int updateSummaryStatusAndStatusName(@Param("period") String period, @Param("status") Integer Status, @Param("statusName") String StatusName);
}
