/**  
 * @Title:SupervisionMapper.java
 * @Package: com.unis.ynls.irpt.server.mapper
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:12:37
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.mapper;

import com.unis.ynls.irpt.common.VO.BasicVO;
import com.unis.ynls.irpt.common.VO.CollectVO;
import com.unis.ynls.irpt.common.VO.SupervisionQueryVO;
import com.unis.ynls.irpt.common.VO.SupervisionVO;
import com.unis.ynls.irpt.server.entity.SupervisionDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @ClassName: SupervisionMapper
 * @Description: TODO功能描述:
 * @author lqg
 * @date 2019年10月19日 下午7:12:37
 * @remark 备注:
*/
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface SupervisionMapper {

	/**
	 * @Title: findPageList
	 * @Description: TODO方法描述:(分页)
	 * @param @param supervisionQueryVO
	 * @param @return    设定文件
	 * @return List<SupervisionDO>    返回类型
	 * @throws
	*/
	public List<SupervisionDO> findPageList(SupervisionQueryVO supervisionQueryVO);
	
	int insert(SupervisionDO record);

    int insertSelective(SupervisionDO record);

    SupervisionDO selectByPrimaryKey(String rwId);
    
    int updateByPrimaryKeySelective(SupervisionDO record);

    int updateByPrimaryKey(SupervisionDO record);

	/**
	 * @Title: delete
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param supervisionVO
	 * @param @return    设定文件
	 * @return ResponseWrapper    返回类型
	 * @throws
	*/
	public int delete(SupervisionVO supervisionVO);
	
	String getMaxCodeById(@Param("pstr")String pstr);

    CollectVO selectCollectByBbq(@Param("bbq") String bbq, @Param("userid") String userid);

	void basicInsert(BasicVO basicVO);

	void supervisionInsert(SupervisionDO supervisionDO);
}
