package com.unis.ynls.irpt.server.remote;

import com.unis.common.utils.ResponseWrapper;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@FeignClient("cbl-service")
@Component
public interface RotatePlanProtocoFeign1 {

    @GetMapping({"/rotatePlan/protocol/detail"})
    ResponseWrapper protocolDetail(@RequestParam(value = "code", required = true) String code);
}
