package com.unis.ynls.irpt.server.scheduledtasks;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.metadata.CellExtra;
import com.unis.ynls.irpt.server.service.CommonExcelReadService;
import org.apache.commons.collections.CollectionUtils;

import java.io.InputStream;
import java.util.List;

public class EasyExcelUtil {
    public static <T> void readExcel(InputStream inputStream, Class<?> clazz, CommonExcelReadService commonService) {
        CommonReadListener readExcelDataListener = new CommonReadListener(commonService);

        EasyExcel.read(inputStream, clazz, readExcelDataListener)
                .sheet()
                .doRead();
        List<CellExtra> extraMergeInfoList = readExcelDataListener.getExtraMergeInfoList();
        if (CollectionUtils.isEmpty(extraMergeInfoList)) {
          
        }

    }

    /**
     * 这种是 将数据都读取到内存中
     * 事务好控制，但是数据量太大绝对会出现内存溢出
     * @param inputStream 文件流
     * @param clazz 读取excel的实体class
     * @param <T> 泛型类型
     */
   /* public static <T> List<T> readAllExcel(InputStream inputStream, Class<?> clazz,CommonExcelReadService commonService) {
        CommonReadListener2 readExcelDataListener = new CommonReadListener2(commonService);

        EasyExcel.read(inputStream, clazz, readExcelDataListener)
                .sheet()
                .doRead();

        return readExcelDataListener.getList();
    }*/
}

