package com.unis.ynls.irpt.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.RotateProtocolVO;
import com.unis.ynls.irpt.common.VO.rotationreport.*;
import com.unis.ynls.irpt.server.entity.RotatePlanProtocolDetailVO;
import com.unis.ynls.irpt.server.entity.RotatePlanProtocolVO;

import java.util.List;

public interface RotationReportService {
    Integer saveRotationSubsidyRate(RotationSubsidyRateVO vo);

    RotationSubsidyRateVO getEnabledByPzbm(String pzbm,String ttshxydm);

    List<RotationSubsidyRateVO> getRotationSubsidyRateList();

    Boolean saveRotationSubsidy(String type,RotationSubsidyVO vo);

    Boolean updateRotationSubsidy(String type, RotationSubsidyVO vo);

    PageInfo<RotationSubsidyVO> getRotationSubsidyPageList(Integer pageNum, Integer pageSize, RotationSubsidyQueryVO queryVO);

    RotationSubsidyVO getRotationSubsidyInfo(String rsId);

    List<RotationSubsidyVO> getRotationSubsidyApprovalList(String type);

    RotationSubsidySummaryVO initRotationSubsidySummary(String type, List<String> rotationSubsidyIds);

    Integer saveRotationSubsidySummary(String type, RotationSubsidySummaryVO summaryVO);

    Integer updateRotationSubsidySummary(Integer type, RotationSubsidySummaryVO summaryVO);

    PageInfo<RotationSubsidySummaryVO> getRotationSubsidySummaryPageList(Integer pageNum, Integer pageSize, RotationSubsidySummaryQueryVO queryVO);

    RotationSubsidySummaryVO getRotationSubsidySummaryInfo(String id);

    Integer deleteRotationSubsidySummary(String id);

    PageInfo<RotationSubsidyVO> getRotationSubsidyList(Integer pageNum, Integer pageSize, RotationSubsidyQueryVO queryVO);

    List<RotationSubsidyGrainVO> getRotationGrain(String ccqybm, String pzbm);

    List<RotatePlanProtocolVO> getRotationProtocol(String ccqybm);

    List<RotationSubsidyGrainVO> getRotationProtocolDetail(RotateProtocolVO rotateProtocolVO);
}
