package com.unis.ynls.irpt.server.service;
import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.StatisticalQueryVO;
import com.unis.ynls.irpt.common.VO.StatisticalVO;
/**
 * 
 * @AUTHOR 张琪
 *
 */
public interface StatisticalService {

	/**
	 *  分页列表查询
	 * @param statisticalTableQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	 PageInfo<StatisticalVO> getStatisticalTablePageList(StatisticalQueryVO statisticalTableQueryVO, Integer pageNum,Integer pageSize);

	/**
	 * @Title: statisticalInto
	 * @Description: TODO方法描述:报表信息录入
	 * @param @param statisticalVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	int statisticalInto(StatisticalVO statisticalVO);

	/**
	 * @Title: statisticalDelete
	 * @Description: TODO方法描述:(报表信息删除【执法督查机构、人员和经费情况统计表】)
	 * @param @param statisticalVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	int statisticalDelete(StatisticalVO statisticalVO);

	/**
	 * @Title: maxCodeById
	 * @Description: TODO方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param jhId
	 * @param @return    设定文件
	 * @return String    返回类型
	 * @throws
	*/
	String maxCodeById(String jhId);

	String findMaxId();

}
