package com.unis.ynls.irpt.server.service.impl;

import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.Report.*;
import com.unis.ynls.irpt.common.VO.reservereport.DivideSelectVO;
import com.unis.ynls.irpt.server.domain.DividedByYearDomain;
import com.unis.ynls.irpt.server.service.DividedByYearService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class DividedByYearServiceImpl implements DividedByYearService {
    @Autowired
    private DividedByYearDomain dividedByYearDomain;

    @Override
    public List<DividedByYearVO> getFeiDetails(String hzqs) {
        return dividedByYearDomain.getFeiDetails(hzqs);
    }

    @Override
    public List<DividedByYearVO> getDetails(String hzqs) {
        return dividedByYearDomain.getDetails(hzqs);
    }

    @Override
    public List<DividedAllVO> getAllDetails(String hzqs) {
        return dividedByYearDomain.getAllDetails(hzqs);
    }

    @Override
    public List<DividedAllVO> getTiaoAllDetails(String hzqs) {
        return dividedByYearDomain.getTiaoAllDetails(hzqs);
    }

    @Override
    public List<DividedVO> getFeiDivideDetails(DivideSelectVO divideSelectVO) {
        return dividedByYearDomain.getFeiDivideDetails(divideSelectVO);
    }

    @Override
    public void delFeiDivideDetails(String hzqs) {
        dividedByYearDomain.delFeiDivideDetails(hzqs);
    }

    @Override
    public DividedVO createDetails(String hzqs) {
        return dividedByYearDomain.createDetails(hzqs);
    }

    @Override
    public List<DividedAllVO> getAll(String hzqs) {
        return dividedByYearDomain.getAll(hzqs);
    }

    @Override
    public void setDetails(DividedVO dividedVO) {
        dividedByYearDomain.setDetails(dividedVO);
    }

    @Override
    public DivideCountVO seeAll(String hzqs) {
       return dividedByYearDomain.seeAlls(hzqs);
    }

    @Override
    public DivideCountAllVO seeCAll(String hzqs) {
        return dividedByYearDomain.seeCAll(hzqs);
    }



   /* @Override
    public List<DividedVO> getDivideDetails() {
        return dividedByYearDomain.getDivideDetails();
    }*/

/*

    @Override
    public SumYearVO sumDetails() {
        return dividedByYearDomain.sumDetails();

    }
*/

}
