package com.unis.ynls.irpt.server.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.EconomicVO;
import com.unis.ynls.irpt.common.VO.Report.EmergencyBranchReportVo;
import com.unis.ynls.irpt.common.VO.Report.EmergencyBranchReportsVo;
import com.unis.ynls.irpt.common.VO.Report.EmergencyDetailCopyVO;
import com.unis.ynls.irpt.server.domain.EmergencyBranchReportDomain;
import com.unis.ynls.irpt.server.entity.EmergencyBranchReportDo;
import com.unis.ynls.irpt.server.mapper.EmergencyBranchReportMapper;
import com.unis.ynls.irpt.server.service.EmergencyBranchReportService;
import lombok.extern.slf4j.Slf4j;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.List;

@Service
@Slf4j
public class EmergencyBranchReportServiceImpl implements EmergencyBranchReportService {
    @Autowired
    private EmergencyBranchReportDomain emergencyBranchReportDomain;
    @Autowired
    EmergencyBranchReportMapper emergencyBranchReportMapper;

    @Override
    public PageInfo<EmergencyBranchReportsVo> getDetail(Integer pageNum, Integer pageSize,String location) {
        return emergencyBranchReportDomain.getDetail(pageNum, pageSize,location);
    }

    @Override
    public void exportData(HttpServletResponse response) {
        /*EmergencyBranchReportDo Do = new EmergencyBranchReportDo();
        XSSFWorkbook excel = null;
        try {
            FileInputStream in = new FileInputStream(new File("D:\\branch.xlsx"));
            excel = new XSSFWorkbook(in);
            //获取Excel文件的第1个Sheet页
            XSSFSheet sheet = excel.getSheetAt(0);

            //获取Sheet页中的最后一行的行号
            int lastRowNum = sheet.getLastRowNum();

            for (int i = 4; i <= lastRowNum; i++) {
                //获取Sheet页中的行
                XSSFRow titleRow = sheet.getRow(i);
                XSSFCell cell0 = titleRow.getCell(0);
                String id = cell0.getStringCellValue();
                XSSFCell cell1 = titleRow.getCell(1);
                String location = cell1.getStringCellValue();
                XSSFCell cell2 = titleRow.getCell(2);
                String businessName = cell2.getStringCellValue();
                XSSFCell cell3 = titleRow.getCell(3);
                String creditCode = cell3.getStringCellValue();
                XSSFCell cell4 = titleRow.getCell(4);
                String address = cell4.getStringCellValue();
                XSSFCell cell5 = titleRow.getCell(5);
                String contactName = cell5.getStringCellValue();
                XSSFCell cell6 = titleRow.getCell(6);
                String contactPhone = cell3.getStringCellValue();
                Do.setAddress(address);
                Do.setBusinessName(businessName);
                Do.setContactName(contactName);
                Do.setLocation(location);
                Do.setConcatPhone(contactPhone);
                Do.setCreditCode(creditCode);
                Do.setId(id);
               // emergencyBranchReportMapper.insertBranch(Do);
            }
            in.close();
            excel.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
*/

    }

   /* @Override
    public <T> Integer saveBatchData(List<T> list) {
        List<EmergencyBranchReportVo> entityList = JSONObject.parseArray(JSONObject.toJSONString(list),
                EmergencyBranchReportVo.class);

        emergencyBranchReportMapper.deleteAll();
         emergencyBranchReportMapper.saveBatchList(entityList);
        return emergencyBranchReportMapper.deleteOne();

    }*/

    @Override
    public <T> Integer saveAllBatchData(List<EmergencyDetailCopyVO> list) {
        return null;
    }

    @Override
    public <T> Integer saveInBatchData(List<EmergencyBranchReportVo> list) {

        List<EmergencyBranchReportVo> entityList = JSONObject.parseArray(JSONObject.toJSONString(list),
                EmergencyBranchReportVo.class);
        emergencyBranchReportMapper.deleteAll();
        emergencyBranchReportMapper.saveBatchList(entityList);
        List<EmergencyBranchReportDo> dolist = emergencyBranchReportMapper.selectBatchDetail(null);
        return emergencyBranchReportMapper.deleteOne();

    }
}
