package com.unis.ynls.irpt.server.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.Report.EmergencyBranchReportVo;
import com.unis.ynls.irpt.common.VO.Report.EmergencyBranchReportsVo;
import com.unis.ynls.irpt.common.VO.Report.EmergencyDetailCopyVO;
import com.unis.ynls.irpt.common.VO.Report.EmergencyDetailVO;
import com.unis.ynls.irpt.server.domain.EmergencyDetailDomain;
import com.unis.ynls.irpt.server.mapper.EmergencyDetailMapper;
import com.unis.ynls.irpt.server.service.EmergencyDetailService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class EmergencyDetailServiceImpl implements EmergencyDetailService {
   @Autowired
   private EmergencyDetailDomain emergencyDetailDomain;
   @Autowired
   EmergencyDetailMapper emergencyDetailMapper;
   /* public <T> Integer saveBatchData(List<T> list) {
        List<EmergencyDetailCopyVO> entityList = JSONObject.parseArray(JSONObject.toJSONString(list),
                EmergencyDetailCopyVO.class);
        emergencyDetailMapper.deleteAll();
         emergencyDetailMapper.saveDetailList(entityList);

        return emergencyDetailMapper.deleteOne();


    }*/

    @Override
    public PageInfo<EmergencyDetailVO> getEmergencyDetail(Integer pageNum, Integer pageSize,String location) {
        return emergencyDetailDomain.getEmergencyDetail(pageNum, pageSize,location);
    }

    @Override
    public <T> Integer saveAllBatchData(List<EmergencyDetailCopyVO> list) {
        List<EmergencyDetailCopyVO> entityList = JSONObject.parseArray(JSONObject.toJSONString(list),
                EmergencyDetailCopyVO.class);
        emergencyDetailMapper.deleteAll();
        emergencyDetailMapper.saveDetailList(entityList);

        return emergencyDetailMapper.deleteOne();


    }

    @Override
    public <T> Integer saveInBatchData(List<EmergencyBranchReportVo> list) {
        return null;
    }
}
