/**  
 * @Title:PunishmentHandServiceImp.java
 * @Package: com.unis.ynls.irpt.server.service.impl
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:23:13
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.PunishmentHandQueryVO;
import com.unis.ynls.irpt.common.VO.PunishmentHandVO;
import com.unis.ynls.irpt.server.domain.PunishmentHandDomain;
import com.unis.ynls.irpt.server.service.PunishmentHandService;

/**
 * @ClassName: PunishmentHandServiceImp
 * @Description: TODO功能描述:
 * @author ZHANGQI
 * @date 2019年10月19日 下午7:23:13
 * @remark 备注:
*/
@Service
public class PunishmentHandServiceImp implements PunishmentHandService{
	
	@Autowired
	private PunishmentHandDomain punishmentHandDomain;
	/** (非 Javadoc)
	* <p>Title: getPunishmentHandPageList</p>
	* <p>Description: </p>
	* @param punishmentHandQueryVO
	* @param pageNum
	* @param pageSize
	* @return
	* @see com.unis.ynls.irpt.server.service.PunishmentHandService#getPunishmentHandPageList(com.unis.ynls.irpt.common.VO.PunishmentHandQueryVO, java.lang.Integer, java.lang.Integer)
	*/
	@Override
	public PageInfo<PunishmentHandVO> getPunishmentHandPageList(PunishmentHandQueryVO punishmentHandQueryVO,
			Integer pageNum, Integer pageSize) {
		return punishmentHandDomain.findPageList(punishmentHandQueryVO, pageNum, pageSize);
	}
	/** (非 Javadoc)
	* <p>Title: punishmentHandDelete</p>
	* <p>Description: </p>
	* @param punishmentHandVO
	* @return
	* @see com.unis.ynls.irpt.server.service.PunishmentHandService#punishmentHandDelete(com.unis.ynls.irpt.common.VO.PunishmentHandVO)
	*/
	@Override
	public int punishmentHandDelete(PunishmentHandVO punishmentHandVO) {
		return punishmentHandDomain.punishmentHandDelete(punishmentHandVO);
	}
	/** (非 Javadoc)
	* <p>Title: maxCodeById</p>
	* <p>Description: </p>
	* @param jhId
	* @return
	* @see com.unis.ynls.irpt.server.service.PunishmentHandService#maxCodeById(java.lang.String)
	*/
	@Override
	public String maxCodeById(String jhId) {
		return punishmentHandDomain.maxCodeById(jhId);
	}

}
