/**  
 * @Title:SupervisionServiceImp.java
 * @Package: com.unis.ynls.irpt.server.service.impl
 * @Description: TODO功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月19日 下午7:02:32
 * @version V1.0  
*/
package com.unis.ynls.irpt.server.service.impl;

import com.unis.ynls.irpt.common.VO.BasicVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageInfo;
import com.unis.ynls.irpt.common.VO.SupervisionQueryVO;
import com.unis.ynls.irpt.common.VO.SupervisionVO;
import com.unis.ynls.irpt.server.domain.SupervisionDomain;
import com.unis.ynls.irpt.server.service.SupervisionService;

/**
 * @ClassName: SupervisionServiceImp
 * @Description: TODO功能描述:
 * @author ZHANGQI
 * @date 2019年10月19日 下午7:02:32
 * @remark 备注:
*/
@Service
public class SupervisionServiceImp implements SupervisionService{
	@Autowired
	private SupervisionDomain supervisionDomain;

	/** (非 Javadoc)
	* <p>Title: getStatisticalTablePageList</p>
	* <p>Description: </p>
	* @param supervisionQueryVO
	* @param pageNum
	* @param pageSize
	* @return
	* @see com.unis.ynls.irpt.server.service.SupervisionService#getStatisticalTablePageList(com.unis.ynls.irpt.common.VO.SupervisionQueryVO, java.lang.Integer, java.lang.Integer)
	*/
	@Override
	public PageInfo<SupervisionVO> getStatisticalTablePageList(SupervisionQueryVO supervisionQueryVO, Integer pageNum,
			Integer pageSize) {
		return supervisionDomain.findPageList(supervisionQueryVO, pageNum, pageSize);
	}

	/** (非 Javadoc)
	* <p>Title: supervisionDelete</p>
	* <p>Description: </p>
	* @param supervisionVO
	* @return
	* @see com.unis.ynls.irpt.server.service.SupervisionService#supervisionDelete(com.unis.ynls.irpt.common.VO.SupervisionVO)
	*/
	@Override
	public int supervisionDelete(SupervisionVO supervisionVO) {
		return supervisionDomain.delete(supervisionVO);
	}

	/** (非 Javadoc)
	* <p>Title: supervisionInfo</p>
	* <p>Description: </p>
	* @param supervisionVO
	* @return
	* @see com.unis.ynls.irpt.server.service.SupervisionService#supervisionInfo(com.unis.ynls.irpt.common.VO.SupervisionVO)
	*/
	@Override
	public int supervisionInfo(SupervisionVO supervisionVO) {
		return supervisionDomain.supervisionInfo(supervisionVO);
	}

	/** (非 Javadoc)
	* <p>Title: maxCodeById</p>
	* <p>Description: </p>
	* @param jhId
	* @return
	* @see com.unis.ynls.irpt.server.service.SupervisionService#maxCodeById(java.lang.String)
	*/
	@Override
	public String maxCodeById(String jhId) {
		return supervisionDomain.maxCodeById( jhId);
	}

	@Override
	public void supervisionCollect(BasicVO basicVO, String userName) {
		 supervisionDomain.supervisionCollect(basicVO,userName);
	}
}
